<?php
namespace App\Console\Commands;

use Illuminate\Console\Command;
use App\Models\Music;

class ConvertMusicTagsToJson extends Command
{
    protected $signature = 'music:convert-tags';
    protected $description = 'Convert comma-separated music tags into JSON array and store in tag_array';

    public function handle()
    {
        $tracks = Music::all();
        $count = 0;

        foreach ($tracks as $track) {
            if ($track->tag) {
                $tags = array_filter(array_map(function ($t) {
                    return trim(strtolower($t));
                }, explode(',', $track->tag)));

                $track->tag_array = $tags;
                $track->save();
                $count++;
            }
        }

        $this->info("✅ Updated $count music records with JSON tags.");
    }
}