<?php

namespace App\Http\Controllers;
use App\Models\Eq;
use App\Models\EqLog;

use Illuminate\Support\Str;
use App\Models\GlobalFunction;
use App\Models\Pages;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;

class EqController extends Controller
{
    function fetchAllEq(Request $request)
    {

        $totalData =  Eq::count();
        $rows = Eq::orderBy('id', 'ASC')->get();


        $eqs = $rows;

        $columns = array(
            0 => 'id',
            1 => 'strain',
            2 => 'type',
            3 => 'rating',
            4 => 'EQ',
            5 => 'effects',
            6 => 'flavor',
             7 => 'description'
            
        );
        $limit = $request->input('length');
        $start = $request->input('start');
        $order = $columns[$request->input('order.0.column')];
        $dir = $request->input('order.0.dir');
        $totalData = Eq::count();
        $totalFiltered = $totalData;
        if (empty($request->input('search.value'))) {
            $eqs = Eq::offset($start)
                ->limit($limit)
                ->orderBy($order, $dir)
                ->get();
        } else {
            $search = $request->input('search.value');
            $eqs =  Eq::Where('strain', 'LIKE', "%{$search}%")
                ->offset($start)
                ->limit($limit)
                ->orderBy($order, $dir)
                ->get();
            $totalFiltered = Eq::where('id', 'LIKE', "%{$search}%")
                ->orWhere('strain', 'LIKE', "%{$search}%")
                ->count();
        }
        $data = array();
        foreach ($eqs as $eq) {


            $id = $eq->id;
            //   $news_count=  Wallpaper::Where('wallpaper_type',0)->where('category_id',$id)->count();
            $edit= 
                '<a  href="#" rel='.$eq->id.'
                data-target="#editEqModal" 
                data-strain="' . $eq->strain . '" 
                data-type="' . $eq->type . '" " 
                data-rating="' . $eq->rating . '" " 
                data-eq="' . $eq->EQ . '" " 
                data-effects="' . $eq->effects . '" 
                data-flavor="' . $eq->flavor . '" 
                data-description="' . $eq->description . '" 
                class="btn edit btn-success me-3">' . __('Edit') . '</a>';
            $delete='<a href="#" class="btn delete btn-danger" rel=' . $eq->id . '>' . __('Delete') . '</a>';
        
            $data[] = array(

               
                '<p>' . $eq->strain . '</p>',
                 '<p>' . $eq->type . '</p>',
                  '<p>' . $eq->rating . '</p>',
                   '<p>' . $eq->EQ . '</p>',
                    '<p>' . $eq->effects . '</p>',
                     '<p>' . $eq->flavor . '</p>',
                      '<p>' . Str::limit($eq->description, 50, '...') . '</p>',

           '<span class="float-end">'. $edit . $delete .' </span>' 

            );
        }
        $json_data = array(
            "draw"            => intval($request->input('draw')),
            "recordsTotal"    => intval($totalData),
            "recordsFiltered" => $totalFiltered,
            "data"            => $data
        );
        echo json_encode($json_data);
        exit();
    }


    function geteq(Request $request)
{
    try {
        // Validate the search term
        $search = $request->input('search');
        
        // If no search term is provided, fetch all records
        if (!$search) {
            $rows = Eq::orderBy('id', 'ASC')->get();
            return response()->json([
                'status' => true,
                'message' => 'All data fetched successfully',
                'data' => $rows,
            ], 200);
        }

        // Perform a wildcard search on the strain field
        $results = Eq::where('strain', 'LIKE', "%{$search}%")
            ->orderBy('id', 'ASC')
            ->get();

        return response()->json([
            'status' => true,
            'message' => 'Search results fetched successfully',
            'data' => $results,
        ], 200);
    } catch (\Exception $e) {
        return response()->json([
            'status' => false,
            'message' => 'An error occurred while fetching data',
            'error' => $e->getMessage(),
        ], 500);
    }
}



    function deleteEq(Request $request)
    {

        $eq = EQ::where('id', $request->eq_id)->first();
        
        if ($eq == null) {
            return response()->json([
                'status' => false,
                'message' => 'Eq Not Found',
            ]);
        }
       
        $eq->delete();

        return response()->json([
            'status' => true,
            'message' => 'Eq delete successfully',
        ]);
    }
    

    function addEq(Request $req)
    {

        $eq = new Eq();
        $eq->strain = $req->strain;
        $eq->type = $req->type;
        $eq->rating = $req->rating;
        $eq->EQ = $req->eq;
        $eq->effects = $req->effects;
        $eq->flavor = $req->flavor;
        $eq->description = $req->description;

        $eq->save();
        $data['status'] = true;
        $data['message'] = "add successfull";

return response()->json([
            'status' => true,
            'message' => 'EQ added successfully',
            'data' => $eq,
        ]);    }

   public function updateEq(Request $request)
{
    $eq = Eq::where('id', $request->eq_id)->first();
    if ($eq == null) {
        return response()->json([
            'status' => false,
            'message' => 'Eq not found',
        ]);
    }

    // Update fields
    if ($request->has('strain')) {
        $eq->strain = $request->strain;
    }
    if ($request->has('type')) {
        $eq->type = $request->type;
    }
    if ($request->has('rating')) {
        $eq->rating = $request->rating;
    }
    if ($request->has('eq')) {
        $eq->eq = $request->eq;
    }
    if ($request->has('effects')) {
        $eq->effects = $request->effects; // Corrected from 'effect' to 'effects'
    }
    if ($request->has('flavor')) {
        $eq->flavor = $request->flavor;
    }
    if ($request->has('description')) {
        $eq->description = $request->description;
    }

    $eq->save();

    return response()->json([
        'status' => true,
        'message' => 'Eq updated successfully',
    ]);
}


public function logEqActivity(Request $request)
{
    try {
        // Validate the request to ensure required fields are present
        $validatedData = $request->validate([
            'user_id' => 'required|exists:users,id', // Ensure user_id exists in the users table
            'eq_id' => 'required|exists:eq_strain,id',     // Ensure eq_id exists in the eq table
        ]);

        // Create a new EQ log entry
        EqLog::create([
            'user_id' => $validatedData['user_id'],
            'eq_id' => $validatedData['eq_id'],
            'accessed_at' => now(), // Timestamp for the log
        ]);

        return response()->json([
            'status' => true,
            'message' => 'EQ activity logged successfully.',
        ], 200);
    } catch (\Exception $e) {
        return response()->json([
            'status' => false,
            'message' => 'Failed to log EQ activity.',
            'error' => $e->getMessage(),
        ], 500);
    }
}


public function wildcardSearch(Request $request)
{
    try {
        // Get pagination parameters
        $page = $request->input('page', 1); // Default to page 1
        $perPage = $request->input('per_page', 20); // Default to 20 results per page
        $offset = ($page - 1) * $perPage;

        // Get the search term
        $search = $request->input('search');

        // If no search term is provided, return random records
        if (empty($search)) {
            $total = Eq::count(); // Total number of records
            $results = Eq::inRandomOrder()
                ->offset($offset)
                ->limit($perPage)
                ->get();

            return response()->json([
                'status' => true,
                'message' => 'Random records fetched successfully.',
                'data' => $results,
                'pagination' => [
                    'total' => $total,
                    'per_page' => $perPage,
                    'current_page' => $page,
                    'last_page' => ceil($total / $perPage),
                ],
            ], 200);
        }

        // Perform a wildcard search on 'strain' if a search term is provided
        $query = Eq::where('strain', 'LIKE', "%{$search}%");

        $total = $query->count(); // Get the total count for pagination

        $results = $query->orderBy('id', 'ASC')
            ->offset($offset)
            ->limit($perPage)
            ->get();

        return response()->json([
            'status' => true,
            'message' => 'Search results fetched successfully.',
            'data' => $results,
            'pagination' => [
                'total' => $total,
                'per_page' => $perPage,
                'current_page' => $page,
                'last_page' => ceil($total / $perPage),
            ],
        ], 200);
    } catch (\Exception $e) {
        return response()->json([
            'status' => false,
            'message' => 'An error occurred while performing the search.',
            'error' => $e->getMessage(),
        ], 500);
    }
}


    function getEqs()
    {
        $data  = Eq::orderBy('id', 'ASC')->get();

        return json_encode(['status' => true, 'message' => 'Data Fetch Successfull', 'data' => $data]);
    }


    public function like(Request $request, $eq_id)
    {
        try {
            $eq = Eq::findOrFail($eq_id);

            $eq->increment('likes');

            return response()->json([
                'message' => 'EQ liked successfully',
                'data' => $eq
            ], 200);
        } catch (\Exception $e) {
            return response()->json([
                'message' => 'Failed to like the comment',
                'error' => $e->getMessage()
            ], 500);
        }
    }

    
}
