<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Narration extends Model
{
    use HasFactory;

    protected $fillable = [
        'session_log_id',
        'track_id',
        'prompt_hash',
        'prompt',
        'response_text',
        'audio_path',
    ];

    // Optional relationships
    public function sessionLog()
    {
        return $this->belongsTo(SessionLog::class);
    }

    public function track()
    {
        return $this->belongsTo(Music::class, 'track_id');
    }
}
