<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class PodcastCategory extends Model
{
    use HasFactory;

    protected $table = "podcast_categories";

    protected $fillable = [
        'name',
        'description',
        'artist_id',
        'tags',
        'image',
    ];

    public function artist()
    {
        return $this->belongsTo(Artist::class);
    }

    /**
     * Relationship to fetch all episodes (podcasts) under this category.
     */
    public function podcasts()
    {
        return $this->hasMany(Podcast::class, 'podcast_category_id');
    }
}
