<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Profile extends Model
{
    use HasFactory;

    protected $fillable = [
        'user_id',
        'nickname',
        'email',
        'preferred_strains',
        'uses_cannabis_for_wellness',
        'cannabis_types',
        'consumption_methods',
        'usage_frequency',
        'goals',
        'preferred_effects',
        'sound_preferences',
    ];

    protected $casts = [
        'preferred_strains' => 'array',
        'cannabis_types' => 'array',
        'consumption_methods' => 'array',
        'goals' => 'array',
        'preferred_effects' => 'array',
        'sound_preferences' => 'array',
        'uses_cannabis_for_wellness' => 'boolean',
    ];

    public function user()
    {
        return $this->belongsTo(User::class);
    }
}
