<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateProfilesTable extends Migration
{
    public function up()
    {
        Schema::create('profiles', function (Blueprint $table) {
            $table->id();

            // Match this with signed int(11) from users.id
            $table->integer('user_id')->unsigned(false);

            $table->json('cannabis_types')->nullable();
            $table->json('consumption_methods')->nullable();
            $table->string('usage_frequency')->nullable();
            $table->json('goals')->nullable();
            $table->json('preferred_effects')->nullable();
            $table->json('sound_preferences')->nullable();
            $table->timestamps();

            $table->foreign('user_id')
                ->references('id')->on('users')
                ->onDelete('cascade');
        });
    }

    public function down()
    {
        Schema::dropIfExists('profiles');
    }
}
