<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
Schema::create('vibe_checks', function (Blueprint $table) {
    $table->id();
    $table->integer('user_id'); // 👈 MUST match users.id type
    $table->string('vibe_type');
    $table->text('greeting_message')->nullable();
    $table->text('notes')->nullable();
    $table->timestamps();

    // Foreign key constraint
    $table->foreign('user_id')->references('id')->on('users')->onDelete('cascade');
});


    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('vibe_checks');
    }
};
