<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
      Schema::create('session_activities', function (Blueprint $table) {
    $table->id();
    $table->foreignId('guided_session_id')->constrained()->onDelete('cascade');
    $table->string('title');
    $table->text('description')->nullable();
    $table->integer('duration'); // per activity
    $table->json('eq_profile')->nullable(); // [0–10 band EQ]
    $table->json('tag_filters')->nullable(); // Tags to select content from
    $table->timestamps();
});
Schema::create('activity_music', function (Blueprint $table) {
    $table->id();
    $table->unsignedBigInteger('session_activity_id');
    $table->integer('music_id'); // match int(11) from `music` table

    $table->foreign('session_activity_id')->references('id')->on('session_activities')->onDelete('cascade');
    $table->foreign('music_id')->references('id')->on('music')->onDelete('cascade');
});
Schema::create('activity_podcast', function (Blueprint $table) {
    $table->id();
    $table->unsignedBigInteger('session_activity_id');
    $table->unsignedBigInteger('podcast_id'); // match bigint(20)

    $table->foreign('session_activity_id')->references('id')->on('session_activities')->onDelete('cascade');
    $table->foreign('podcast_id')->references('id')->on('podcasts')->onDelete('cascade');
});

    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('session_activities');
    }
};
