<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('activity_blueprints', function (Blueprint $table) {
    $table->id();
    $table->string('trigger_tag');           // what tag activates this activity
    $table->string('title');                 // e.g. "Breath Reset"
    $table->text('description')->nullable();
    $table->integer('default_duration')->default(300); // in seconds
    $table->json('default_tags')->nullable();          // used to fetch content
    $table->json('eq_profile')->nullable();            // 10-band EQ
    $table->boolean('active')->default(true);
    $table->timestamps();
});

    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('activity_blueprints');
    }
};
