<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddTagsToGuidedSessionTemplatesTable extends Migration
{
    public function up()
    {
        Schema::table('guided_session_templates', function (Blueprint $table) {
            $table->json('mood_tags')->nullable()->after('goal_tags');
            $table->json('sound_tags')->nullable()->after('mood_tags');
            $table->json('cannabis_tags')->nullable()->after('sound_tags');
            $table->json('use_case_tags')->nullable()->after('cannabis_tags');
            $table->string('time_of_day')->nullable()->after('use_case_tags');
        });
    }

    public function down()
    {
        Schema::table('guided_session_templates', function (Blueprint $table) {
            $table->dropColumn([
                'mood_tags',
                'sound_tags',
                'cannabis_tags',
                'use_case_tags',
                'time_of_day'
            ]);
        });
    }
}
