<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateGuidedSessionTemplatesTable extends Migration
{
    public function up()
    {
        Schema::create('guided_session_templates', function (Blueprint $table) {
            $table->id();
            $table->string('title');
            $table->text('description')->nullable();
            $table->json('goal_tags')->nullable();         // general purpose / vibe direction
            $table->json('mood_tags')->nullable();         // emotional states like calm, inspired
            $table->json('sound_tags')->nullable();        // lo-fi, theta waves, ambient, etc.
            $table->json('cannabis_tags')->nullable();     // sativa, indica, strain types
            $table->json('use_case_tags')->nullable();     // morning walk, burnout recovery
            $table->string('time_of_day')->nullable();     // morning, evening, night, etc.
            $table->string('icon')->nullable();            // optional emoji or image
            $table->boolean('active')->default(true);
            $table->timestamps();
        });
    }

    public function down()
    {
        Schema::dropIfExists('guided_session_templates');
    }
}
