<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class UpdateProfilesAddMoreUserFields extends Migration
{
    public function up()
    {
        Schema::table('profiles', function (Blueprint $table) {
            if (!Schema::hasColumn('profiles', 'nickname')) {
                $table->string('nickname')->nullable()->after('user_id');
            }

            if (!Schema::hasColumn('profiles', 'email')) {
                $table->string('email')->nullable()->after('nickname');
            }

            if (!Schema::hasColumn('profiles', 'preferred_strains')) {
                $table->json('preferred_strains')->nullable()->after('email');
            }

            if (!Schema::hasColumn('profiles', 'uses_cannabis_for_wellness')) {
                $table->boolean('uses_cannabis_for_wellness')->default(false)->after('preferred_strains');
            }
        });
    }

    public function down()
    {
        Schema::table('profiles', function (Blueprint $table) {
            $table->dropColumn([
                'nickname',
                'email',
                'preferred_strains',
                'uses_cannabis_for_wellness',
            ]);
        });
    }
}
