<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use App\Models\VibeOption;

class VibeOptionSeeder extends Seeder
{
    public function run()
    {
        $vibes = [
            [
                'key' => 'Chill',
                'emoji' => '🧊',
                'label' => 'Chill',
                'message' => 'Your vibe is chill. Here’s to a more relaxed, grounded kind of day.',
                'eq_strategy' => 'Soft lows, gentle mids, minimal highs',
                'home_focus' => 'ambient soundscapes, low-BPM sessions, calming strains',
            ],
            [
                'key' => 'Energized',
                'emoji' => '🔥',
                'label' => 'Energized',
                'message' => 'Your vibe is lit! Let’s channel that energy into something amazing.',
                'eq_strategy' => 'Bright mids/highs, rhythmic pulse, high sparkle',
                'home_focus' => 'upbeat EQs, creative sessions, motivation strains',
            ],
            [
                'key' => 'Foggy',
                'emoji' => '🌫️',
                'label' => 'Foggy',
                'message' => 'Feeling a little foggy? Let’s help you find clarity and light today.',
                'eq_strategy' => 'Mid-cleaning tones, sharp attack, mental clarity',
                'home_focus' => 'focus sessions, sativa strains, low-distraction',
            ],
            [
                'key' => 'Inspired',
                'emoji' => '🎨',
                'label' => 'Inspired',
                'message' => 'You’re in a creative flow. Let’s make today beautifully expressive.',
                'eq_strategy' => 'Layered soundscapes, modulation, expanded fields',
                'home_focus' => 'creative flow sessions, brainstorming boosts',
            ],
            [
                'key' => 'Low-Key',
                'emoji' => '🌙',
                'label' => 'Low-Key',
                'message' => 'Today feels soft and slow — we’ve got just the vibes for that.',
                'eq_strategy' => 'Warm mids, slow ambient drift, introspective textures',
                'home_focus' => 'mellow playlists, journaling, introspection',
            ],
        ];

        foreach ($vibes as $vibe) {
            VibeOption::updateOrCreate(['key' => $vibe['key']], $vibe);
        }
    }
}
