$(document).ready(function () {
  $(".sideBarli").removeClass("activeLi");
  $(".musicSideA").addClass("activeLi");

  // Initialize Tagify for Add
  const tagInput = document.querySelector("#tags");
  const tagify = new Tagify(tagInput, {
    maxTags: 10,
    dropdown: {
      maxItems: 5,
      classname: "tags-look",
      enabled: 0,
    },
  });

  // Initialize Tagify for Edit
  const tagInputEdit = document.querySelector("#tagEdit");
  const tagifyEdit = new Tagify(tagInputEdit, {
    maxTags: 10,
    dropdown: {
      maxItems: 5,
      classname: "tags-look",
      enabled: 0,
    },
  });

  // Quill config for Add (Lyrics)
  var toolbarOptions3 = [
    [{ header: [1, 2, 3, 4, 5, 6, false] }],
    ["bold", "italic", "underline", "link", "strike"],
    [{ list: "ordered" }, { list: "bullet" }],
    [
      {
        color: [
          "#000000","#e60000","#ff9900","#ffff00","#008a00","#0066cc","#9933ff","#ffffff","#facccc","#ffebcc","#ffffcc","#cce8cc","#cce0f5","#ebd6ff","#bbbbbb","#f06666","#ffc266","#ffff66","#66b966","#66a3e0","#c285ff","#888888","#a10000","#b26b00","#b2b200","#006100","#0047b2","#6b24b2","#444444","#5c0000","#663d00","#666600","#003700","#002966","#3d1466",
        ],
      },
    ],
    [
      {
        background: [
          "#000000","#e60000","#ff9900","#ffff00","#008a00","#0066cc","#9933ff","#ffffff","#facccc","#ffebcc","#ffffcc","#cce8cc","#cce0f5","#ebd6ff","#bbbbbb","#f06666","#ffc266","#ffff66","#66b966","#66a3e0","#c285ff","#888888","#a10000","#b26b00","#b2b200","#006100","#0047b2","#6b24b2","#444444","#5c0000","#663d00","#666600","#003700","#002966","#3d1466",
        ],
      },
    ],
    [{ align: [] }],
  ];

  var quill3 = new Quill("#lyricsContent", {
    modules: {
      toolbar: toolbarOptions3,
    },
    theme: "snow",
  });

  // Quill config for Edit (Lyrics)
  var toolbarOptions3LyricsEdit = [
    // same as above, can be identical or separate
    [{ header: [1, 2, 3, 4, 5, 6, false] }],
    ["bold", "italic", "underline", "link", "strike"],
    [{ list: "ordered" }, { list: "bullet" }],
    [
      {
        color: [
          "#000000","#e60000","#ff9900","#ffff00","#008a00","#0066cc","#9933ff","#ffffff","#facccc","#ffebcc","#ffffcc","#cce8cc","#cce0f5","#ebd6ff","#bbbbbb","#f06666","#ffc266","#ffff66","#66b966","#66a3e0","#c285ff","#888888","#a10000","#b26b00","#b2b200","#006100","#0047b2","#6b24b2","#444444","#5c0000","#663d00","#666600","#003700","#002966","#3d1466",
        ],
      },
    ],
    [
      {
        background: [
          "#000000","#e60000","#ff9900","#ffff00","#008a00","#0066cc","#9933ff","#ffffff","#facccc","#ffebcc","#ffffcc","#cce8cc","#cce0f5","#ebd6ff","#bbbbbb","#f06666","#ffc266","#ffff66","#66b966","#66a3e0","#c285ff","#888888","#a10000","#b26b00","#b2b200","#006100","#0047b2","#6b24b2","#444444","#5c0000","#663d00","#666600","#003700","#002966","#3d1466",
        ],
      },
    ],
    [{ align: [] }],
  ];

  var quill3LyricsEdit = new Quill("#lyricsContentEdit", {
    modules: {
      toolbar: toolbarOptions3LyricsEdit,
    },
    theme: "snow",
  });

  var selectedMusicID = 0;

  // === Initialize DataTable with filters ===
  var musicTable = $("#musicTable").DataTable({
    processing: true,
    serverSide: true,
    serverMethod: "post",
    aaSorting: [[0, "desc"]],
    language: {
      paginate: {
        next: '<svg ...>...</svg>',
        previous: '<svg ...>...</svg>',
      },
    },
    columnDefs: [
      {
        targets: [0, 1, 2, 3, 4, 5, 6, 7],
        orderable: false,
      },
    ],
    ajax: {
      url: `${domainUrl}musicList`,
      // Pass extra data from our filter dropdowns
      data: function (d) {
        d.album  = $("#filterAlbum").val();
        d.type   = $("#filterType").val();
 d.tag    = $("#filterTag").val();        d.artist = $("#filterArtist").val();
      },
      error: (error) => {
        console.log(error);
      },
    },
  });

  // === When any filter changes, reload DataTables with new filter values ===
  $("#filterAlbum, #filterType, #filterArtist").on("change", function () {
    musicTable.ajax.reload(null, false);
  });

$("#filterTag").on("keyup", function() {
  // Reload while staying on the same pagination page
  musicTable.ajax.reload(null, false);
});

  // === ADD MUSIC FORM SUBMIT ===
  $(document).on("submit", "#addMusicForm", function (e) {
    e.preventDefault();
    if (user_type == 1) {
      let formData = new FormData($("#addMusicForm")[0]);

      // Grab Quill HTML content
      var htmlContent = quill3.root.innerHTML;
      formData.append("lyrics", htmlContent);

      // Grab Tagify values as a comma-separated string
      formData.append("tag", tagify.value.map((tag) => tag.value).join(","));

      $.ajax({
        type: "POST",
        url: `${domainUrl}addMusic`,
        data: formData,
        contentType: false,
        processData: false,
        success: function (response) {
          if (response.status == false) {
            iziToast.show({
              title: "Error",
              message: "Music not found",
              color: "red",
              position: toastPosition,
              transitionIn: transitionInAction,
              transitionOut: transitionOutAction,
              timeout: 3000,
              animateInside: false,
              iconUrl: `${domainUrl}asset/img/copy.svg`,
            });
          } else if (response.status == true) {
            iziToast.show({
              title: "Success",
              message: "Music Added Successfully",
              color: "green",
              position: toastPosition,
              transitionIn: transitionInAction,
              transitionOut: transitionOutAction,
              timeout: 3000,
              animateInside: false,
              iconUrl: `${domainUrl}asset/img/check-circle.svg`,
            });
            $("#musicTable").DataTable().ajax.reload(null, false);
            $("#musicModal").modal("hide");
            // Reset the form & Quill
            $("#musicModal").load(location.href + " #musicModal>*", "");
          }
        },
      });
    } else {
      iziToast.show({
        title: "Oops",
        message: "You are tester",
        color: "red",
        position: toastPosition,
        transitionIn: transitionInAction,
        transitionOut: transitionOutAction,
        timeout: 3000,
        animateInside: false,
        iconUrl: `${domainUrl}asset/img/x.svg`,
      });
    }
  });

  // === EDIT MUSIC: FILL THE MODAL FIELDS ===
  $("#musicTable").on("click", ".edit", function (e) {
    e.preventDefault();

    var id          = $(this).attr("rel");
    var title       = $(this).data("title");
    var category_id = $(this).data("category_id");
    var type        = $(this).data("type");
    var image       = $(this).data("image");
    var sound       = $(this).data("sound");
    var lyrics      = $(this).data("lyrics"); // Make sure it's actually in the data-lyrics attribute
    var tag         = $(this).data("tag");

    selectedMusicID = id;
    $("#edit_title").val(title);
    $("#edit_category").val(category_id);
    $("#edit_type").val(type);

    // Set Quill content for lyrics
    quill3LyricsEdit.root.innerHTML = lyrics || "";

    // Reset Tagify for edit
    tagifyEdit.removeAllTags();
    if (tag) {
      // If your DB stores "indica, sativa" as a single string, you can split by comma
      let tagList = tag.split(",").map(t => t.trim());
      tagifyEdit.addTags(tagList);
    }

    if (image) {
      $("#edit_musicImg").attr("src", image);
    } else {
      $("#edit_musicImg").attr("src", "./asset/img/placeholder-image.png");
    }
    $("#edit_audio").attr("src", sound);

    $("#editMusicModal").modal("show");
  });

  // === UPDATE MUSIC FORM SUBMIT ===
  $(document).on("submit", "#editMusicForm", function (e) {
    e.preventDefault();
    if (user_type == 1) {
      let editformData = new FormData($("#editMusicForm")[0]);
      editformData.append("music_id", selectedMusicID);

      // Quill content
      var htmlContent = quill3LyricsEdit.root.innerHTML;
      editformData.append("lyrics", htmlContent);

      // Tagify content
      editformData.append("tag", tagifyEdit.value.map((tag) => tag.value).join(","));

      $.ajax({
        type: "POST",
        url: `${domainUrl}updateMusic`,
        data: editformData,
        contentType: false,
        processData: false,
        success: function (response) {
          if (response.status == 404) {
            console.log(response.message);
          } else if (response.status == false) {
            iziToast.show({
              title: "Error",
              message: "Music not found",
              color: "red",
              position: toastPosition,
              transitionIn: transitionInAction,
              transitionOut: transitionOutAction,
              timeout: 3000,
              animateInside: false,
              iconUrl: `${domainUrl}asset/img/x.svg`,
            });
          } else if (response.status == true) {
            iziToast.show({
              title: "Success",
              message: "Music Update Successfully",
              color: "green",
              position: toastPosition,
              transitionIn: transitionInAction,
              transitionOut: transitionOutAction,
              timeout: 3000,
              animateInside: false,
              iconUrl: `${domainUrl}asset/img/check-circle.svg`,
            });
            $("#musicTable").DataTable().ajax.reload(null, false);
            $("#editMusicModal").modal("hide");
          }
        },
      });
    } else {
      iziToast.show({
        title: "Oops",
        message: "You are tester",
        color: "red",
        position: toastPosition,
        transitionIn: transitionInAction,
        transitionOut: transitionOutAction,
        timeout: 3000,
        animateInside: false,
        iconUrl: `${domainUrl}asset/img/x.svg`,
      });
    }
  });

  // === DELETE MUSIC ===
  $("#musicTable").on("click", ".delete", function (e) {
    e.preventDefault();
    if (user_type == 1) {
      var id = $(this).attr("rel");
      swal({
        title: "Are you sure?",
        icon: "error",
        buttons: true,
        dangerMode: true,
        buttons: ["Cancel", "Yes"],
      }).then((deleteValue) => {
        if (deleteValue) {
          if (deleteValue == true) {
            $.ajax({
              type: "POST",
              url: `${domainUrl}deleteMusic`,
              dataType: "json",
              data: {
                music_id: id,
              },
              success: function (response) {
                if (response.status == false) {
                  console.log(response.message);
                } else if (response.status == true) {
                  iziToast.show({
                    title: "Success",
                    message: "Music delete successfully",
                    color: "green",
                    position: toastPosition,
                    transitionIn: transitionInAction,
                    transitionOut: transitionOutAction,
                    timeout: 3000,
                    animateInside: false,
                    iconUrl: `${domainUrl}asset/img/check-circle.svg`,
                  });
                  $("#musicTable").DataTable().ajax.reload(null, false);
                }
              },
            });
          }
        }
      });
    } else {
      iziToast.show({
        title: "Oops",
        message: "You are tester",
        color: "red",
        position: toastPosition,
        transitionIn: transitionInAction,
        transitionOut: transitionOutAction,
        timeout: 3000,
        animateInside: false,
        iconUrl: `${domainUrl}asset/img/x.svg`,
      });
    }
  });

  // === TOGGLE FEATURED ===
  $(document).on("change", ".featured", function (event) {
    event.preventDefault();
    if (user_type == 1) {
      $id = $(this).attr("rel");
      if ($(this).prop("checked") == true) {
        $value = 1;
        iziToast.show({
          title: "Success",
          message: "Music added in featured item",
          color: "green",
          position: toastPosition,
          transitionIn: transitionInAction,
          transitionOut: transitionOutAction,
          timeout: 3000,
          animateInside: false,
          iconUrl: `${domainUrl}asset/img/check-circle.svg`,
        });
      } else {
        $value = 0;
        iziToast.show({
          title: "Success",
          message: "Music removed from featured Item",
          color: "green",
          position: toastPosition,
          transitionIn: transitionInAction,
          transitionOut: transitionOutAction,
          timeout: 3000,
          animateInside: false,
          iconUrl: `${domainUrl}asset/img/check-circle.svg`,
        });
      }
      $.post(
        `${domainUrl}updateFeatured`,
        {
          id: $id,
          is_featured: $value,
        },
        function (returnedData) {
          $("#musicTable").DataTable().ajax.reload(null, false);
        }
      ).fail(function (error) {
        console.log(error);
      });
    } else {
      iziToast.show({
        title: "Oops!",
        message: "You are Tester",
        color: "red",
        position: toastPosition,
        transitionIn: transitionInAction,
        transitionOut: transitionOutAction,
        timeout: 3000,
        animateInside: false,
        iconUrl: `${domainUrl}asset/img/check-circle.svg`,
      });
      $("#wallpaperTable").DataTable().ajax.reload(null, false);
      $("#liveWallpaperTable").DataTable().ajax.reload(null, false);
    }
  });

  // === TOGGLE ACTIVE ===
  $(document).on("change", ".active", function (event) {
    event.preventDefault();
    if (user_type == 1) {
      $id = $(this).attr("rel");
      if ($(this).prop("checked") == true) {
        $value = 1;
        iziToast.show({
          title: "Success",
          message: "Music is active",
          color: "green",
          position: toastPosition,
          transitionIn: transitionInAction,
          transitionOut: transitionOutAction,
          timeout: 3000,
          animateInside: false,
          iconUrl: `${domainUrl}asset/img/check-circle.svg`,
        });
      } else {
        $value = 0;
        iziToast.show({
          title: "Success",
          message: "Music is unactive",
          color: "green",
          position: toastPosition,
          transitionIn: transitionInAction,
          transitionOut: transitionOutAction,
          timeout: 3000,
          animateInside: false,
          iconUrl: `${domainUrl}asset/img/check-circle.svg`,
        });
      }
      $.post(
        `${domainUrl}updateMusicActive`,
        {
          id: $id,
          active: $value,
        },
        function (returnedData) {
          $("#musicTable").DataTable().ajax.reload(null, false);
        }
      ).fail(function (error) {
        console.log(error);
      });
    } else {
      iziToast.show({
        title: "Oops!",
        message: "You are Tester",
        color: "red",
        position: toastPosition,
        transitionIn: transitionInAction,
        transitionOut: transitionOutAction,
        timeout: 3000,
        animateInside: false,
        iconUrl: `${domainUrl}asset/img/check-circle.svg`,
      });
      $("#wallpaperTable").DataTable().ajax.reload(null, false);
      $("#liveWallpaperTable").DataTable().ajax.reload(null, false);
    }
  });
});
