$(document).ready(function () {
    $(".sideBarli").removeClass("activeLi");
    $(".PlaylistsSideA").addClass("activeLi");
    var selectedPlaylistID = 0;

    $("#playlistsTable").dataTable({
        processing: true,
        serverSide: true,
        serverMethod: "post",
        aaSorting: [[0, "desc"]],
        language: {
            paginate: {
                next: '<svg viewBox="0 0 24 24" width="24" height="24" stroke="currentColor" stroke-width="2" fill="none" stroke-linecap="round" stroke-linejoin="round" class="css-i6dzq1"><polyline points="9 18 15 12 9 6"></polyline></svg>',
                previous: '<svg viewBox="0 0 24 24" width="24" height="24" stroke="currentColor" stroke-width="2" fill="none" stroke-linecap="round" stroke-linejoin="round" class="css-i6dzq1"><polyline points="15 18 9 12 15 6"></polyline></svg>',
            },
        },
        columnDefs: [
            {
                targets: [0,1],
                orderable: false,
            },
        ],
        ajax: {
            url: `${domainUrl}playlistList`,
            error: (error) => {
                console.log(error);
            },
        },
        columns: [
            { data: "playlist_name", name: "playlist_name" },
            { data: "user", name: "user" },
            { data: "image", name: "image", render: (data) => `<img src="${data}" width="50">` },
            { data: "likes", name: "likes" },
              { 
  data: "playlisttype", 
  render: (type) => type == 1 ? "Admin" : "Community" 
},

            { data: "action", name: "action", orderable: false, searchable: false },
          
        ],   
    });

    // Add Playlist
    $(document).on("submit", "#addPlaylistForm", function (e) {
        e.preventDefault();
        let formData = new FormData(this);

        $.ajax({
            type: "POST",
            url: "/storePlaylist",
            data: formData,
            contentType: false,
            processData: false,
            success: function (response) {
                if (response.success) {
                    iziToast.show({
                        title: "Success",
                        message: "Playlist Added Successfully",
                        color: "green",
                        position: "topRight",
                        timeout: 3000,
                    });
                    $("#playlistsTable").DataTable().ajax.reload();
                    $("#playlistModal").modal("hide");
                }
            },
        });
    });

    // Edit Playlist
    $("#playlistsTable").on("click", ".edit", function () {
        let id = $(this).data("id");

        $.get(`/playlist/${id}/edit`, function (response) {
            if (response.playlisttype == 1) {
    $("#edit_playlisttype").prop("checked", true);
} else {
    $("#edit_playlisttype").prop("checked", false);
}

            if (response.success) {
                // Populate the form fields
                $("#edit_playlist_name").val(response.playlist_name);
                $("#edit_user_id").val(response.user_id); // Populate user ID dropdown
                selectedPlaylistID = id;
if (response.playlisttype == 1) {
    $("#edit_playlisttype").val("1");
} else {
    $("#edit_playlisttype").val("0");
}

                // Show the current image if available
                if (response.image && response.image !== 'N/A') {
                    // Set the src attribute to the current image URL
                    $("#editImagePreview").attr("src", response.image);
                    $("#editImagePreview").show(); // Display the preview image
                } else {
                    $("#editImagePreview").hide(); // Hide the preview if no image
                }

                // Show the modal
                $("#editPlaylistModal").modal("show");
            }
        });
    }); 

    // Update Playlist
    $(document).on("submit", "#editPlaylistForm", function (e) {
        e.preventDefault();
        let formData = new FormData(this);
        formData.append("id", selectedPlaylistID);

        $.ajax({
            type: "POST",
            url: `/updatePlaylist`,
            data: formData,
            contentType: false,
            processData: false,
            success: function (response) {
                if (response.success) {
                    iziToast.show({
                        title: "Success",
                        message: "Playlist Updated Successfully",
                        color: "green",
                        position: "topRight",
                        timeout: 3000,
                    });
                    $("#playlistsTable").DataTable().ajax.reload();
                    $("#editPlaylistModal").modal("hide");
                }
            },
        });
    });

    // Delete Playlist
    $("#playlistsTable").on("click", ".delete", function () {
        let id = $(this).data("id");

        swal({
            title: "Are you sure?",
            text: "You are about to delete this playlist.",
            icon: "warning",
            buttons: true,
            dangerMode: true,
        }).then((willDelete) => {
            if (willDelete) {
                $.ajax({
                    type: "POST",
                    url: "/destroyPlaylist",
                    data: { id: id, _token: $('meta[name="csrf-token"]').attr("content") },
                    success: function (response) {
                        if (response.success) {
                            iziToast.show({
                                title: "Deleted",
                                message: "Playlist Deleted Successfully",
                                color: "green",
                                position: "topRight",
                                timeout: 3000,
                            });
                            $("#playlistsTable").DataTable().ajax.reload();
                        }
                    },
                });
            }
        });
    });
});
