$(document).ready(function () {
    $(".sideBarli").removeClass("activeLi");
    $(".StrainSideA").addClass("activeLi");
  
    var selectedStrainID = 0;
  
    $("#strainTypesTable").dataTable({
      processing: true,
      serverSide: true,
      serverMethod: "post",
      aaSorting: [[0, "desc"]],
      language: {
        paginate: {
          next: '<svg viewBox="0 0 24 24" width="24" height="24" stroke="currentColor" stroke-width="2" fill="none" stroke-linecap="round" stroke-linejoin="round" class="css-i6dzq1"><polyline points="9 18 15 12 9 6"></polyline></svg>',
          previous: '<svg viewBox="0 0 24 24" width="24" height="24" stroke="currentColor" stroke-width="2" fill="none" stroke-linecap="round" stroke-linejoin="round" class="css-i6dzq1"><polyline points="15 18 9 12 15 6"></polyline></svg>',
        },
      },
      columnDefs: [
        {
          targets: [0, 1, 2],
          orderable: false,
        },
      ],
      ajax: {
        url: `${domainUrl}strainList`,
        error: (error) => {
          console.log(error);
        },
      },
    });
  
    $(document).on("submit", "#addStrainTypeForm", function (e) {
      e.preventDefault();
      if (user_type == 1) {
        let formData = new FormData($("#addStrainTypeForm")[0]);
        $.ajax({
          type: "POST",
          url: `${domainUrl}addStrainTypes`,
          data: formData,
          contentType: false,
          processData: false,
          success: function (response) {
            if (response.status == false) {
              console.log(response.message);
              iziToast.show({
                title: "Error",
                message: "Strain Type not found",
                color: "red",
                position: toastPosition,
                transitionIn: transitionInAction,
                transitionOut: transitionOutAction,
                timeout: 3000,
                animateInside: false,
                iconUrl: `${domainUrl}asset/img/copy.svg`,
              });
            } else if (response.status == true) {
              iziToast.show({
                title: "' . __('Edit') . '",
                message: "Strain Type Added Successfully",
                color: "green",
                position: toastPosition,
                transitionIn: transitionInAction,
                transitionOut: transitionOutAction,
                timeout: 3000,
                animateInside: false,
                iconUrl: `${domainUrl}asset/img/check-circle.svg`,
              });
              $("#strainTypesTable").DataTable().ajax.reload(null, false);
              $("#strainTypeModal").modal("hide");
              $("#strainTypeModal").load(location.href + " #strainTypeModal>*", "");
            }
          },
        });
      } else {
        iziToast.show({
          title: "Oops",
          message: "You are tester",
          color: "red",
          position: toastPosition,
          transitionIn: transitionInAction,
          transitionOut: transitionOutAction,
          timeout: 3000,
          animateInside: false,
          iconUrl: `${domainUrl}asset/img/x.svg`,
        });
      }
    });
  
    $("#strainTypesTable").on("click", ".edit", function (e) {
      e.preventDefault();
  
      var id = $(this).attr("rel");
      var strain_types = $(this).data("strain_type");
      var eq = $(this).data("eq");
  
      selectedStrainID = id;
      $("#editStrainType").val(strain_types);
      $("#editEq").val(eq);
  
  
      $("#editStrainTypeModal").modal("show");
    });
  
    $(document).on("submit", "#editStrainTypeForm", function (e) {
      e.preventDefault();
      if (user_type == 1) {
        let editformData = new FormData($("#editStrainTypeForm")[0]);
        editformData.append("id", selectedStrainID);
        $.ajax({
          type: "POST",
          url: `${domainUrl}updateStrainType`,
          data: editformData,
          contentType: false,
          processData: false,
          success: function (response) {
            if (response.status == 404) {
              console.log(response.message);
            } else if (response.status == false) {
              iziToast.show({
                title: "Error",
                message: "Strain Type not found",
                color: "red",
                position: toastPosition,
                transitionIn: transitionInAction,
                transitionOut: transitionOutAction,
                timeout: 3000,
                animateInside: false,
                iconUrl: `${domainUrl}asset/img/x.svg`,
              });
            } else if (response.status == true) {
              iziToast.show({
                title: "Success",
                message: "Strain Type Update Successfully",
                color: "green",
                position: toastPosition,
                transitionIn: transitionInAction,
                transitionOut: transitionOutAction,
                timeout: 3000,
                animateInside: false,
                iconUrl: `${domainUrl}asset/img/check-circle.svg`,
              });
              $("#strainTypesTable").DataTable().ajax.reload(null, false);
              $("#editStrainTypeModal").modal("hide");
            }
          },
        });
      } else {
        iziToast.show({
          title: "Oops",
          message: "You are tester",
          color: "red",
          position: toastPosition,
          transitionIn: transitionInAction,
          transitionOut: transitionOutAction,
          timeout: 3000,
          animateInside: false,
          iconUrl: `${domainUrl}asset/img/x.svg`,
        });
      }
    });
  
    $("#strainTypesTable").on("click", ".delete", function (e) {
      e.preventDefault();
      if (user_type == 1) {
        var id = $(this).attr("rel");
        console.log(id);
        swal({
          title: "Are you sure?",
          icon: "error",
          buttons: true,
          dangerMode: true,
          buttons: ["Cancel", "Yes"],
        }).then((deleteValue) => {
          if (deleteValue) {
            if (deleteValue == true) {
              $.ajax({
                type: "POST",
                url: `${domainUrl}deletesStrainType`,
                dataType: "json",
                data: {
                  id: id,
                },
                success: function (response) {
                  if (response.status == false) {
                    console.log(response.message);
                  } else if (response.status == true) {
                    iziToast.show({
                      title: "Success",
                      message: "StrainType Delete Successfully",
                      color: "green",
                      position: toastPosition,
                      transitionIn: transitionInAction,
                      transitionOut: transitionOutAction,
                      timeout: 3000,
                      animateInside: false,
                      iconUrl: `${domainUrl}asset/img/check-circle.svg`,
                    });
                    $("#strainTypesTable").DataTable().ajax.reload(null, false);
                    console.log(response.message);
                  }
                },
              });
            }
          }
        });
      } else {
        iziToast.show({
          title: "Oops",
          message: "You are tester",
          color: "red",
          position: toastPosition,
          transitionIn: transitionInAction,
          transitionOut: transitionOutAction,
          timeout: 3000,
          animateInside: false,
          iconUrl: `${domainUrl}asset/img/x.svg`,
        });
      }
    });
   
    
  });
  