@extends('include.app')

@section('content')
<h1>Activity Blueprints</h1>

<a href="{{ route('admin.activity_blueprints.create') }}">➕ Create New Blueprint</a>

@if(session('success'))
    <div style="color: green;">{{ session('success') }}</div>
@endif

<ul style="margin-top: 20px;">
    @foreach($blueprints as $bp)
        <li>
            <strong>{{ $bp->trigger_tag }}</strong> — {{ $bp->title }} ({{ $bp->default_duration }}s)
            <br>EQ: {{ implode(',', $bp->eq_profile ?? []) }}<br>
            Tags: {{ implode(', ', $bp->default_tags ?? []) }}<br>
            Active: {{ $bp->active ? '✅' : '❌' }}<br>
            <a href="{{ route('admin.activity_blueprints.edit', $bp->id) }}">✏️ Edit</a>
        </li>
        <hr>
    @endforeach
</ul>
@endsection
