@extends('layouts.admin')

@section('content')
    <h1>Vibe Options</h1>
    <a href="{{ route('admin.vibes.create') }}">Create New Vibe</a>

    @if(session('success'))
        <p style="color: green;">{{ session('success') }}</p>
    @endif

    <table border="1">
        <thead>
            <tr>
                <th>Emoji</th>
                <th>Label</th>
                <th>Message</th>
                <th>EQ Strategy</th>
                <th>Active</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>
            @foreach($vibes as $vibe)
                <tr>
                    <td>{{ $vibe->emoji }}</td>
                    <td>{{ $vibe->label }}</td>
                    <td>{{ $vibe->message }}</td>
                    <td>{{ $vibe->eq_strategy }}</td>
                    <td>{{ $vibe->active ? 'Yes' : 'No' }}</td>
                    <td>
                        <a href="{{ route('admin.vibes.edit', $vibe->id) }}">Edit</a>
                        <form method="POST" action="{{ route('admin.vibes.destroy', $vibe->id) }}" style="display:inline;">
                            @csrf
                            @method('DELETE')
                            <button onclick="return confirm('Delete this vibe?')" type="submit">Delete</button>
                        </form>
                    </td>
                </tr>
            @endforeach
        </tbody>
    </table>
@endsection
