@extends('include.app')
@section('header')
    <script src="{{ asset('asset/script/eq_comments.js') }}"></script>
@endsection

@section('content')

<section class="section">
    <div class="card">
        <div class="card-header">
            <div class="page-title w-100">
                <div class="d-flex align-items-center justify-content-between">
                    <h4 class="mb-0 fw-semibold text-capitalize">{{ __('Comments') }}</h4>
                    <button type="button" class="btn theme-bg theme-btn text-white text-capitalize" data-bs-toggle="modal"
                        data-bs-target="#commentModal" id="addComment">
                        {{ __('Add Comment') }}
                    </button>
                </div>
            </div>
        </div>
        <div class="card-body">
            <table class="table table-striped w-100" id="commentsTable">
                <thead>
                    <tr>
                        <th>{{ __('User') }}</th>
                        <th>{{ __('Strain') }}</th>
                        <th>{{ __('Comment') }}</th>
                        <th>{{ __('Likes') }}</th>
                        <th >{{ __('Action') }}</th>
                    </tr>
                </thead>
            </table>
        </div>
    </div>
</section>

<!-- Add Comment Modal -->
<div class="modal fade" id="commentModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-sm-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5 fw-semibold text-capitalize" id="exampleModalLabel">{{ __('Add Comment') }}</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form id="addCommentForm" method="post">
                <div class="modal-body">
                    <div class="form-group">
                        <label for="user" class="form-label">{{ __('User') }}</label>
                        <select class="form-control" name="user_id" id="user_id" required>
                            @foreach($users as $user)
                                <option value="{{ $user->id }}">{{ $user->fullname }}</option>
                            @endforeach
                        </select>
                    </div>
                    <div class="form-group">
                        <label for="user" class="form-label">{{ __('Strain') }}</label>
                        <select class="form-control" name="strain_id" id="strain_id" required>
                            @foreach($strains as $strain)
                                <option value="{{ $strain->id }}">{{ $strain->strain }}</option>
                            @endforeach
                        </select>
                    </div>
                    <div class="form-group">
                        <label for="comment" class="form-label">{{ __('Comment') }}</label>
                        <textarea class="form-control" name="comment" id="comment" required></textarea>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn modal-cancel-btn"
                        data-bs-dismiss="modal">{{ __('Cancel') }}</button>
                    <button type="submit" class="btn theme-btn text-white saveButton">{{ __('Save') }}</button>
                </div>
            </form>
        </div>
    </div>
</div>

<!-- Edit Comment Modal -->
<div class="modal fade" id="editCommentModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5 fw-semibold text-capitalize" id="exampleModalLabel">{{ __('Edit Comment') }}</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form id="editCommentForm" method="post">
                <input type="hidden" id="commentID">
                <div class="modal-body">
                    <!-- User Selection -->
                    <div class="form-group">
                        <label for="user_id" class="form-label">{{ __('User') }}</label>
                        <select class="form-control" name="user_id" id="editUserID" required>
                            @foreach($users as $user)
                                <option value="{{ $user->id }}">{{ $user->fullname }}</option>
                            @endforeach
                        </select>
                    </div>

                    <!-- Strain Selection -->
                    <div class="form-group">
                        <label for="strain_id" class="form-label">{{ __('Strain') }}</label>
                        <select class="form-control" name="strain_id" id="editStrainID" required>
                            @foreach($strains as $strain)
                                <option value="{{ $strain->id }}">{{ $strain->strain }}</option>
                            @endforeach
                        </select>
                    </div>

                    <!-- Comment Textarea -->
                    <div class="form-group">
                        <label for="comment" class="form-label">{{ __('Comment') }}</label>
                        <textarea class="form-control" name="comment" id="editCommentText" required></textarea>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn modal-cancel-btn" data-bs-dismiss="modal">{{ __('Cancel') }}</button>
                    <button type="submit" class="btn theme-btn text-white saveButton1">{{ __('Save') }}</button>
                </div>
            </form>
        </div>
    </div>
</div>


@endsection
