<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, shrink-to-fit=no" name="viewport">
    <title>{!! Session::get('app_name') !!}</title>
    <link rel='shortcut icon' type='image/x-icon' href="{{ asset('asset/img/favicon.png') }}"
        style="width: 2px !important;" />
    <link
        href="https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap"
        rel="stylesheet">
    <link href="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote.min.css" rel="stylesheet">

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link href="{{ asset('asset/cdncss/quill.css') }}" rel="stylesheet" />
    <link href="{{ asset('asset/cdncss/iziToast.css') }}" rel="stylesheet" />
    <link href="{{ asset('asset/cdncss/select2.css') }}" rel="stylesheet" />
    <link href="{{ asset('asset/css/bootstrap.min.css') }}" rel="stylesheet">
    <link href="{{ asset('asset/css/style.css') }}" rel="stylesheet">
</head>
<style>


</style>

<body>

    <div class="loader-bg">
        <div class="loader"></div>
    </div>

    <div id="app">
        <div class="main-wrapper main-wrapper-1">
            <div class="navbar-bg"></div>
            <nav class="navbar navbar-expand-lg main-navbar sticky">
                <div class="form-inline mr-auto">
                    <ul class="navbar-nav mr-3">
                        <li>
                            <a href="#" data-toggle="sidebar" class="nav-link nav-link-lg collapse-btn">
                                <i data-feather="menu"></i>
                            </a>
                        </li>
                    </ul>
                </div>
                <ul class="navbar-nav navbar-right">
                    <li class="dropdown">
                        <a href="#" data-toggle="dropdown"
                            class="nav-link dropdown-toggle nav-link-lg nav-link-user">
                            <span class="profile-btn">
                                <i data-feather="user"></i>
                            </span>
                        </a>
                        <div class="dropdown-menu dropdown-menu-right pullDown">
                            <a href="{{ route('logout') }}" class="dropdown-item has-icon text-danger">
                                <i data-feather="log-out"></i>
                                {{ __('Log out') }}
                            </a>
                        </div>
                    </li>
                </ul>
            </nav>

            <div class="main-sidebar sidebar-style-2">
                <div class="sidebar-brand" id="reloadContent">
                    <a href="{{ route('index') }}">
                        <span class="logo-name">{!! Session::get('app_name') !!}</span>
                        <span class="logo-name-small">{!! Session::get('app_name') !!}</span>
                    </a>
                </div>
                <aside id="sidebar-wrapper">
                    <ul class="sidebar-menu">
                        <li class="sideBarli indexSideA">
                            <a href="{{ route('index') }}" class="nav-link">
                                <i data-feather="home"></i>
                                <span> {{ __('Dashboard') }} </span>
                            </a>
                        </li>
                        <li class="sideBarli userSideA">
                            <a href="{{ route('users') }}" class="nav-link">
                                <i data-feather="users"></i>
                                <span> {{ __('Users') }} </span>
                            </a>
                        </li>
                        <li class="sideBarli eqcommentsSideA">
                            <a href="{{ route('comments.indexview') }}" class="nav-link">
                                <i data-feather="box"></i>
                                <span> {{ __('Comments') }} </span>
                            </a>
                        </li>


                        <li class="sideBarli strainSideA">



                            <a data-bs-toggle="collapse" data-bs-target="#submenu" aria-expanded="false"
                                aria-controls="submenu" href="{{ route('strain') }}" class="nav-link">
                                <i class="fas fa-check-circle"></i><span>Strains</span>
                            </a>
                            <div class="submenu collapse" id="submenu">
                                <a href="{{ route('strain') }}" class="nav-link">
                                    <i class="fas fa-check-circle"></i><span>Strain</span>
                                </a>
                                <a href="{{ route('strain_types.index') }}" class="nav-link">
                                    <i data-feather="box"></i>
                                    <span> {{ __('Strain Types') }} </span>
                                </a>
                                <a href="{{ route('eqs') }}" class="nav-link">
                                    <i data-feather="music"></i>
                                    <span> {{ __('Ai Strain') }} </span>
                                </a>
                                <a href="{{ route('eqsw') }}" class="nav-link eqwSideA">
                                    <i data-feather="music"></i>
                                    <span> {{ __('Ai Wellness') }} </span>
                                </a>
                            </div>
                        </li>


                        <li class="sideBarli PodcastSideA">

                            <a data-bs-toggle="collapse" data-bs-target="#submenu1" aria-expanded="false"
                                aria-controls="submenu" href="{{ route('podcast.index') }}" class="nav-link">
                                <i data-feather="box"></i>
                                <span> {{ __('Manage Podcasts') }} </span>
                            </a>
                            <div class="submenu collapse" id="submenu1">
                                 <a href="{{ route('podcast_categories.index') }}" class="nav-link">
                                    <i data-feather="box"></i>
                                    <span style="line-height: 20px">{{ __('Podcasts') }} </span>
                                </a>
                                <a href="{{ route('podcast.index') }}" class="nav-link">
                                    <i data-feather="box"></i>
                                    <span> {{ __('Episodes') }} </span>
                                </a>
                              
                            </div>
                        </li>



                        <li class="sideBarli musicSideA">
                            <a data-bs-toggle="collapse" data-bs-target="#submenu2" aria-expanded="false"
                                aria-controls="submenu" href="{{ route('musics') }}" class="nav-link">
                                <i data-feather="music"></i>
                                <span> {{ __('Musics') }} </span>
                            </a>
                            <div class="submenu collapse" id="submenu2">
                                <a href="{{ route('playlists.index') }}" class="nav-link">
                                    <i data-feather="box"></i>
                                    <span> {{ __('Playlists') }} </span>
                                </a>

                                <a href="{{ route('musics') }}" class="nav-link">
                                    <i data-feather="music"></i>
                                    <span> {{ __('Music') }} </span>
                                </a>

                                <a href="{{ route('playlists_music.index') }}" class="nav-link">
                                    <i data-feather="box"></i>
                                    <span> {{ __('Playlists Music') }} </span>
                                </a>
                                <a href="{{ route('artists.index') }}" class="nav-link">
                                    <i data-feather="box"></i>
                                    <span> {{ __('Artists') }} </span>
                                </a>
                                <a href="{{ route('categories') }}" class="nav-link">
                                    <i data-feather="box"></i>
                                    <span> {{ __('Albums') }} </span>
                                </a>
                            </div>
                        </li>





<li class="sideBarli guidedSessionSideA">
    <a href="{{ route('admin.guided_sessions.index') }}" class="nav-link">
        <i data-feather="grid"></i>
        <span>Guided Sessions</span>
    </a>
</li>
<li class="sideBarli vibeOptionsSideA">
    <a href="{{ route('admin.vibe_options.index') }}" class="nav-link">
        <i data-feather="smile"></i>
        <span>Vibe Options</span>
    </a>
</li>

<li class="sideBarli activityBlueprintSideA">
    <a href="{{ route('admin.activity_blueprints.index') }}" class="nav-link">
        <i data-feather="grid"></i>
        <span>Activity Blueprints</span>
    </a>
</li>


                        <li class="sideBarli GenresSideA">
                            <a href="{{ route('genres.index') }}" class="nav-link">
                                <i data-feather="book-open"></i>
                                <span> {{ __('Genres') }} </span>
                            </a>
                        </li>

                        <li class="sideBarli articleSideA">
                            <a href="{{ route('articles') }}" class="nav-link">
                                <i data-feather="book-open"></i>
                                <span> {{ __('Articles') }} </span>
                            </a>
                        </li>


                        <li class="sideBarli quoteSideA">
                            <a href="{{ route('quotes') }}" class="nav-link">
                                <i data-feather="feather"></i>
                                <span> {{ __('Quotes') }} </span>
                            </a>
                        </li>
                        <li class="sideBarli notificationSideA">
                            <a href="{{ route('notifications') }}" class="nav-link">
                                <i data-feather="bell"></i>
                                <span> {{ __('Notifications') }} </span>
                            </a>
                        </li>
                        <li class="sideBarli settingSideA">
                            <a href="{{ route('setting') }}" class="nav-link">
                                <i data-feather="settings"></i>
                                <span> {{ __('Settings') }} </span>
                            </a>
                        </li>
                        <hr>
                        <li class="sideBarli privacySideA">
                            <a href="{{ route('viewPrivacy') }}" class="nav-link">
                                <i data-feather="shield"></i>
                                <span>{{ __('Privacy Policy') }}</span>
                            </a>
                        </li>
                        <li class="sideBarli termsSideA">
                            <a href="{{ route('viewTerms') }}" class="nav-link">
                                <i data-feather="clipboard"></i>
                                <span>{{ __('Terms of use') }}</span>
                            </a>
                        </li>

                    </ul>
                </aside>
            </div>
            <!-- Main Content -->
            <div class="main-content">
                @yield('content')
                <form action="">
                    <input type="hidden" id="user_type" value="{{ session('user_type') }}">
                </form>
            </div>
        </div>
    </div>


    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="{{ asset('asset/js/app.min.js ') }}"></script>
    <script src="{{ asset('asset/cdnjs/iziToast.min.js') }}"></script>
    <script src="{{ asset('asset/cdnjs/quill.js') }}"></script>
    <script src="{{ asset('asset/cdnjs/sweetalert.min.js') }}"></script>
    <script src="{{ asset('asset/script/env.js') }}"></script>
    <script src="{{ asset('asset/bundles/datatables/datatables.min.js ') }}"></script>
    <script src="{{ asset('asset/bundles/jquery-ui/jquery-ui.min.js ') }}"></script>
    <script src="{{ asset('asset/js/scripts.js') }}"></script>
    <script src="{{ asset('asset/js/bootstrap.min.js') }}"></script>
    <script src="{{ asset('asset/cdnjs/select2.js') }}"></script>
    <script src="{{ asset('asset/script/app.js') }}"></script>

    <script>
        var toolbarOptions = [
            [{
                'header': [1, 2, 3, 4, 5, 6, false]
            }],
            ['bold', 'italic', 'underline', 'link', 'strike'],
            [{
                'list': 'ordered'
            }, {
                'list': 'bullet'
            }],
        ];

        var quill = new Quill('#editor', {
            modules: {
                toolbar: toolbarOptions
            },
            theme: 'snow'
        });

        var quill2 = new Quill('#editEditor', {
            modules: {
                toolbar: toolbarOptions
            },
            theme: 'snow'
        });
    </script>
    <script>
        document.querySelectorAll('.btn-close-modal').forEach(button => {
            button.addEventListener('click', () => {
                const modal = button.closest('.modal');
                if (modal) {
                    modal.classList.remove('show');
                    modal.style.display = 'none';
                    const backdrop = document.querySelector('.modal-backdrop');
                    if (backdrop) backdrop.remove();
                }
            });
        });
    </script>


    @yield('header')
</body>

</html>
