@extends('include.app')

@section('header')
    <script src="{{ asset('asset/script/playlist_music.js') }}"></script>
@endsection

@section('content')
<section class="section">
    <div class="card">
        <div class="card-header">
            <div class="page-title w-100">
                <div class="d-flex align-items-center justify-content-between">
                    <h4 class="mb-0 fw-semibold text-capitalize">{{ __('Playlists') }}</h4>
                    <button type="button" class="btn theme-bg theme-btn text-white text-capitalize" data-bs-toggle="modal"
                        data-bs-target="#playlistModal" id="addPlaylist">
                        {{ __('Add Playlist Music') }}
                    </button>
                </div>
            </div>
        </div>
        <div class="card-body">
            <table class="table table-striped w-100" id="playlistsTable">
                <thead>
                    <tr>
                        <th>{{ __('Playlist') }}</th>
                        <th>{{ __('Music') }}</th>
                        <th style="">{{ __('Action') }}</th>
                    </tr>
                </thead>
                <tbody>
                    <!-- Dynamically filled playlist and music entries here -->
                </tbody>
            </table>
        </div>
    </div>
</section>

<div class="modal fade" id="playlistModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-sm-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5 fw-semibold text-capitalize" id="exampleModalLabel">{{ __('Add Playlist Music') }}</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form id="addPlaylistForm" method="post">
                <div class="modal-body">
                    <div class="form-group">
                        <label for="playlist_id" class="form-label">{{ __('Playlist') }}</label>
                        <select class="form-control" name="playlist_id" id="playlist_id" required>
                            <option value="">Select Playlist</option>
                            @foreach($all_playlists as $playlist)
                                <option value="{{ $playlist->id }}">{{ $playlist->playlist_name }}</option>
                            @endforeach
                        </select>
                    </div>
                    <div class="form-group">
                        <label for="music_id" class="form-label">{{ __('Music') }}</label>
                        <select class="form-control" name="music_id" id="music_id" required>
                            <option value="">Select Music</option>
                            @foreach($all_music as $music)
                                <option value="{{ $music->id }}">{{ $music->title }}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn modal-cancel-btn"
                        data-bs-dismiss="modal">{{ __('Cancel') }}</button>
                    <button type="submit" class="btn theme-btn text-white saveButton">{{ __('Save') }}</button>
                </div>
            </form>
        </div>
    </div>
</div>

<!-- Edit Playlist Music Modal -->
<div class="modal fade" id="editPlaylistModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5 fw-semibold text-capitalize" id="exampleModalLabel">{{ __('Edit Playlist Music') }}</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form id="editPlaylistForm" method="post">
                <input type="hidden" id="editPlaylistID">
                <div class="modal-body">
                    <div class="form-group">
                        <label for="edit_playlist_id" class="form-label">{{ __('Playlist') }}</label>
                        <select class="form-control" name="playlist_id" id="edit_playlist_id" required>
                            <option value="">Select Playlist</option>
                            @foreach($all_playlists as $playlist)
                                <option value="{{ $playlist->id }}">{{ $playlist->playlist_name }}</option>
                            @endforeach
                        </select>
                    </div>
                    <div class="form-group">
                        <label for="edit_music_id" class="form-label">{{ __('Music') }}</label>
                        <select class="form-control" name="music_id" id="edit_music_id" required>
                            <option value="">Select Music</option>
                            @foreach($all_music as $music)
                                <option value="{{ $music->id }}">{{ $music->title }}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn modal-cancel-btn"
                        data-bs-dismiss="modal">{{ __('Cancel') }}</button>
                    <button type="submit" class="btn theme-btn text-white saveButton1">{{ __('Save') }}</button>
                </div>
            </form>
        </div>
    </div>
</div>

@endsection
