@extends('include.app')

@section('header')
    <script src="{{ asset('asset/script/playlists.js') }}"></script>
@endsection

@section('content')
<section class="section">
    <div class="card">
        <div class="card-header">
            <div class="page-title w-100">
                <div class="d-flex align-items-center justify-content-between">
                    <h4 class="mb-0 fw-semibold text-capitalize">{{ __('Playlists') }}</h4>
                    <button type="button" class="btn theme-bg theme-btn text-white text-capitalize" data-bs-toggle="modal"
                        data-bs-target="#playlistModal" id="addPlaylist">
                        {{ __('Add Playlist') }}
                    </button>
                </div>
            </div>
        </div>
        <div class="card-body">
            <table class="table table-striped w-100" id="playlistsTable">
                <thead>
                    <tr>
                        <th>{{ __('Playlist Name') }}</th>
                        
                        
                        <th>{{ __('User') }}</th>
                        <th>{{ __('Image') }}</th>
                        <th>{{ __('Likes') }}</th>
                                                <th>{{ __('Type') }}</th>
                        <th>{{ __('Action') }}</th>

                    </tr>
                </thead>
            </table>
        </div>
    </div>
</section>

<!-- Add Playlist Modal -->
<div class="modal fade" id="playlistModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-sm-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5 fw-semibold text-capitalize" id="exampleModalLabel">{{ __('Add Playlist') }}</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form id="addPlaylistForm" method="post" enctype="multipart/form-data">
                <div class="modal-body">
                    <div class="form-group">
                        <label for="playlist_name" class="form-label">{{ __('Playlist Name') }}</label>
                        <input type="text" class="form-control" name="playlist_name" id="playlist_name" required>
                    </div>
                   <div class="form-group">
    <label for="playlisttype" class="form-label">{{ __('Playlist Type') }}</label>
    <select name="playlisttype" id="playlisttype" class="form-control" required>
        <option value="0">Community</option>
        <option value="1">Admin</option>
    </select>
</div>
                    <div class="form-group">
                        <label for="user_id" class="form-label">{{ __('User') }}</label>
                        <select class="form-control" name="user_id" id="user_id" required>
                            @foreach($users as $user)
                                <option value="{{ $user->id }}">{{ $user->fullname }}</option>
                            @endforeach
                        </select>
                    </div>
                    <div class="form-group">
                        <label for="image" class="form-label">{{ __('Image') }}</label>
                        <input type="file" class="form-control" name="image" id="image" accept="image/*">
                    </div>
                    
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn modal-cancel-btn"
                        data-bs-dismiss="modal">{{ __('Cancel') }}</button>
                    <button type="submit" class="btn theme-btn text-white saveButton">{{ __('Save') }}</button>
                </div>
            </form>
        </div>
    </div>
</div>
<style>
    #editImagePreviewContainer img {
        max-width: 200px; /* Limit the width of the image preview */
        max-height: 200px;
        object-fit: cover; /* Maintain aspect ratio and fit inside container */
        display: block;
    }
</style>

<!-- Edit Playlist Modal -->
<!-- Edit Playlist Modal -->
<div class="modal fade" id="editPlaylistModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5 fw-semibold text-capitalize" id="exampleModalLabel">{{ __('Edit Playlist') }}</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form id="editPlaylistForm" method="post" enctype="multipart/form-data">
                <input type="hidden" id="playlistID">
                <div class="modal-body">
                    <div class="form-group">
                        <label for="edit_playlist_name" class="form-label">{{ __('Playlist Name') }}</label>
                        <input type="text" class="form-control" name="playlist_name" id="edit_playlist_name" required>
                    </div>
                  <div class="form-group">
    <label for="edit_playlisttype" class="form-label">{{ __('Playlist Type') }}</label>
    <select name="playlisttype" id="edit_playlisttype" class="form-control" required>
        <option value="0">Community</option>
        <option value="1">Admin</option>
    </select>
</div>
<div class="form-group">
                        <label for="edit_user_id" class="form-label">{{ __('User') }}</label>
                        <select class="form-control" name="user_id" id="edit_user_id" required>
                            @foreach($users as $user)
                                <option value="{{ $user->id }}">{{ $user->fullname }}</option>
                            @endforeach
                        </select>
                    </div>
                    <div class="form-group">
                        <label for="edit_image" class="form-label">{{ __('Image') }}</label>
                        <input type="file" class="form-control" name="image" id="edit_image" accept="image/*">
                        <!-- Image preview -->
                        <div id="editImagePreviewContainer" style="margin-top: 10px;">
                            <img id="editImagePreview" src="" alt="Current Image" style="display: none; width: 100%; max-width: 200px;">
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn modal-cancel-btn"
                        data-bs-dismiss="modal">{{ __('Cancel') }}</button>
                    <button type="submit" class="btn theme-btn text-white saveButton1">{{ __('Save') }}</button>
                </div>
            </form>
        </div>
    </div>
</div>
@endsection
