@extends('include.app')
@section('header')
    <script src="{{ asset('asset/script/strain_types.js') }}"></script>
@endsection

@section('content')

<section class="section">
    <div class="card">
        <div class="card-header">
            <div class="page-title w-100">
                <div class="d-flex align-items-center justify-content-between">
                    <h4 class="mb-0 fw-semibold text-capitalize">{{ __('Categories') }}</h4>
                    <button type="button" class="btn theme-bg theme-btn text-white text-capitalize" data-bs-toggle="modal"
                        data-bs-target="#strainTypeModal" id="addStrainTypes">
                        {{ __('Add Strain Types') }}
                    </button>
                </div>
            </div>
        </div>
        <div class="card-body">
            <table class="table table-striped w-100" id="strainTypesTable">
                <thead>
                    <tr>
                        <th width="100px">{{ __('Strain Type') }}</th>
                        <th width="100%">{{ __('Eq') }}</th>
                        <th width="200px" style="text-align: right">{{ __('Action') }}</th>
                    </tr>
                </thead>
            </table>
        </div>
    </div>
   
</section>

 
    <!-- Category Modal -->
    <div class="modal fade" id="strainTypeModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-sm-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h1 class="modal-title fs-5 fw-semibold text-capitalize" id="exampleModalLabel">{{ __('Add Strain Type') }}</h1>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <form id="addStrainTypeForm" method="post">
                    <div class="modal-body">
                        <div class="form-group">
                            <label for="title" class="form-label">{{ __('Strain Type') }}</label>
                            <input type="text" class="form-control" name="strain_types" id="strain_types" required="">
                        </div>
                        <div class="form-group">
                            <label for="title" class="form-label">{{ __('Eq') }}</label>
                            <input type="text" class="form-control" name="eq" id="eq" required="">
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn modal-cancel-btn"
                            data-bs-dismiss="modal">{{ __('Cancel') }}</button>
                        <button type="submit" class="btn theme-btn text-white saveButton">{{ __('Save') }}</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <!-- Edit Category Modal -->
    <div class="modal fade" id="editStrainTypeModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h1 class="modal-title fs-5 fw-semibold text-capitalize" id="exampleModalLabel">{{ __('Edit Strain Type') }}</h1>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <form id="editStrainTypeForm" method="post">
                    <input type="hidden" id="strainID">
                    <div class="modal-body">
                        <div class="form-group">
                            <label for="title" class="form-label">{{ __('Strain Type') }}</label>
                            <input type="text" class="form-control" name="strain_types" id="editStrainType" required="">
                        </div>
                        <div class="form-group">
                            <label for="title" class="form-label">{{ __('Eq') }}</label>
                            <input type="text" class="form-control" name="eq" id="editEq" required="">
                        </div>
                    </div>
                    
                    <div class="modal-footer">
                      <button type="button" class="btn modal-cancel-btn"
                            data-bs-dismiss="modal">{{ __('Cancel') }}</button>
                        <button type="submit" class="btn theme-btn text-white saveButton1">{{ __('Save') }}</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <script>


var loadFile = function(event) {
    var output = document.getElementById('posterImg');
    output.src = URL.createObjectURL(event.target.files[0]);
    output.onload = function() {
        URL.revokeObjectURL(output.src)
    }
};

var loadFileEdit = function(event) {
    var output = document.getElementById('posterImgEdit');
    output.src = URL.createObjectURL(event.target.files[0]); 
    output.onload = function() {
        URL.revokeObjectURL(output.src)
    }
};
 

    </script>
@endsection
