<?php

use App\Http\Controllers\ArticleController;
use App\Http\Controllers\ArtistController;
use App\Http\Controllers\CategoryController;
use App\Http\Controllers\EqCommentController;
use App\Http\Controllers\LoginController;
use App\Http\Controllers\MusicController;
use App\Http\Controllers\EqController;
use App\Http\Controllers\EqwController;
use App\Http\Controllers\GenreController;
use App\Http\Controllers\StrainController;
use App\Http\Controllers\NotificationController;
use App\Http\Controllers\PagesController;
use App\Http\Controllers\PlaylistController;
use App\Http\Controllers\PlaylistMusicController;
use App\Http\Controllers\PodcastCategoryController;
use App\Http\Controllers\PodcastController;
use App\Http\Controllers\QuoteController;
use App\Http\Controllers\SettingsController;
use App\Http\Controllers\StrainTypeController;
use App\Http\Controllers\UserController;
use App\Http\Controllers\Admin\GuidedSessionTemplateAdminController;
use App\Http\Controllers\Admin\VibeOptionAdminController;
use App\Http\Controllers\Admin\ActivityBlueprintAdminController;

use Illuminate\Support\Facades\Artisan;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/linkstorage', function () {
    Artisan::call('storage:link');
});

Route::prefix('admin/guided-sessions')->name('admin.guided_sessions.')->group(function () {
    Route::get('/', [GuidedSessionTemplateAdminController::class, 'index'])->name('index');
    Route::get('/create', [GuidedSessionTemplateAdminController::class, 'create'])->name('create');
    Route::post('/store', [GuidedSessionTemplateAdminController::class, 'store'])->name('store');
    Route::get('/edit/{id}', [GuidedSessionTemplateAdminController::class, 'edit'])->name('edit');
    Route::post('/update/{id}', [GuidedSessionTemplateAdminController::class, 'update'])->name('update');
});

Route::prefix('admin/activity-blueprints')->name('admin.activity_blueprints.')->group(function () {
    Route::get('/', [ActivityBlueprintAdminController::class, 'index'])->name('index');
    Route::get('/create', [ActivityBlueprintAdminController::class, 'create'])->name('create');
    Route::post('/store', [ActivityBlueprintAdminController::class, 'store'])->name('store');
    Route::get('/edit/{id}', [ActivityBlueprintAdminController::class, 'edit'])->name('edit');
    Route::post('/update/{id}', [ActivityBlueprintAdminController::class, 'update'])->name('update');
    Route::delete('/delete/{id}', [ActivityBlueprintAdminController::class, 'destroy'])->name('destroy');
});


Route::prefix('admin/vibe-options')->name('admin.vibe_options.')->group(function () {
    Route::get('/', [VibeOptionAdminController::class, 'index'])->name('index');
    Route::get('/create', [VibeOptionAdminController::class, 'create'])->name('create');
    Route::post('/store', [VibeOptionAdminController::class, 'store'])->name('store');
    Route::get('/edit/{id}', [VibeOptionAdminController::class, 'edit'])->name('edit');
    Route::post('/update/{id}', [VibeOptionAdminController::class, 'update'])->name('update');
    Route::delete('/delete/{id}', [VibeOptionAdminController::class, 'destroy'])->name('destroy');
});

Route::get('/', [LoginController::class, 'login'])->name('/');
Route::post('login', [LoginController::class, 'checklogin'])->middleware(['checkLogin'])->name('login');
Route::get('index', [SettingsController::class, 'index'])->middleware(['checkLogin'])->name('index');
Route::get('logout', [LoginController::class, 'logout'])->middleware(['checkLogin'])->name('logout');

Route::get('users', [UserController::class, 'users'])->middleware(['checkLogin'])->name('users');
Route::post('usersList', [UserController::class, 'usersList'])->middleware(['checkLogin'])->name('usersList');

Route::get('setting', [SettingsController::class, 'setting'])->middleware(['checkLogin'])->name('setting');
Route::post('saveSettings', [SettingsController::class, 'saveSettings'])->middleware(['checkLogin'])->name('saveSettings');
Route::post('changePassword', [SettingsController::class, 'changePassword'])->middleware(['checkLogin'])->name('changePassword');
Route::post('admobSettingSave', [SettingsController::class, 'admobSettingSave'])->middleware(['checkLogin'])->name('admobSettingSave');

Route::get('musics', [MusicController::class, 'musics'])->middleware(['checkLogin'])->name('musics');
Route::post('musicList', [MusicController::class, 'musicList'])->middleware(['checkLogin'])->name('musicList');
Route::post('addMusic', [MusicController::class, 'addMusic'])->middleware(['checkLogin'])->name('addMusic');
Route::post('updateMusic', [MusicController::class, 'updateMusic'])->middleware(['checkLogin'])->name('updateMusic');
Route::post('updateFeatured', [MusicController::class, 'updateFeatured'])->middleware(['checkLogin'])->name('updateFeatured');
Route::post('updateMusicActive', [MusicController::class, 'updateMusicActive'])->middleware(['checkLogin'])->name('updateMusicActive');
Route::post('deleteMusic', [MusicController::class, 'deleteMusic'])->middleware(['checkLogin'])->name('deleteMusic');

Route::get('categories', [CategoryController::class, 'categories'])->middleware(['checkLogin'])->name('categories');
Route::post('categoryList', [CategoryController::class, 'categoryList'])->middleware(['checkLogin'])->name('categoryList');
Route::post('addCategory', [CategoryController::class, 'addCategory'])->middleware(['checkLogin'])->name('addCategory');
Route::post('updateCategory', [CategoryController::class, 'updateCategory'])->middleware(['checkLogin'])->name('updateCategory');
Route::post('deleteCategory', [CategoryController::class, 'deleteCategory'])->middleware(['checkLogin'])->name('deleteCategory');

// new add 

Route::get('/comment', [EqCommentController::class, 'indexviewnew'])->middleware(['checkLogin'])->name('comments.indexview');
Route::post('/commentList', [EqCommentController::class, 'indexnew'])->middleware(['checkLogin'])->name('comments.list');
Route::post('/storeComment', [EqCommentController::class, 'storenew'])->middleware(['checkLogin'])->name('comments.store');
Route::post('/updateComment', [EqCommentController::class, 'updatenew'])->middleware(['checkLogin'])->name('comments.update');
Route::post('/destroyComment', [EqCommentController::class, 'destroynew'])->middleware(['checkLogin'])->name('comments.destroy');
Route::get('/comment/{id}/edit', [EqCommentController::class, 'editnew'])->middleware(['checkLogin'])->name('comments.edit');

// Route::get('/comments/{id}', [EqcommentControllerNew::class, 'edit'])->name('comments.edit');
// Route::put('/comments/{id}', [EqcommentControllerNew::class, 'update'])->name('comments.update');
// Route::delete('/comments/{id}', [EqcommentControllerNew::class, 'destroy'])->name('comments.destroy');

Route::get('/playlists', [PlaylistController::class, 'index'])->middleware(['checkLogin'])->name('playlists.index');
Route::post('/playlistList', [PlaylistController::class, 'index'])->middleware(['checkLogin'])->name('playlists.list');
Route::post('/storePlaylist', [PlaylistController::class, 'store'])->middleware(['checkLogin'])->name('playlists.store');
Route::get('/playlist/{id}/edit', [PlaylistController::class, 'edit'])->middleware(['checkLogin'])->name('playlists.edit');
Route::post('/updatePlaylist', [PlaylistController::class, 'update'])->middleware(['checkLogin'])->name('playlists.update');
Route::post('/destroyPlaylist', [PlaylistController::class, 'destroy'])->middleware(['checkLogin'])->name('playlists.destroy');


Route::get('/playlists_music', [PlaylistMusicController::class, 'index'])->middleware(['checkLogin'])->name('playlists_music.index');
Route::post('/playlists_musicList', [PlaylistMusicController::class, 'index'])->middleware(['checkLogin'])->name('playlists_music.list');
Route::post('/storePlaylists_music', [PlaylistMusicController::class, 'store'])->middleware(['checkLogin'])->name('playlists_music.store');
Route::get('/playlists_music/{id}/edit', [PlaylistMusicController::class, 'edit'])->middleware(['checkLogin'])->name('playlists_music.edit');
Route::post('/updatePlaylists_music', [PlaylistMusicController::class, 'update'])->middleware(['checkLogin'])->name('playlists_music.update');
Route::post('/destroyPlaylists_music', [PlaylistMusicController::class, 'destroy'])->middleware(['checkLogin'])->name('playlists_music.destroy');


Route::get('articles', [ArticleController::class, 'articles'])->middleware(['checkLogin'])->name('articles');
Route::post('articleList', [ArticleController::class, 'articleList'])->middleware(['checkLogin'])->name('articleList');
Route::post('addArticle', [ArticleController::class, 'addArticle'])->middleware(['checkLogin'])->name('addArticle');
Route::post('updateArticle', [ArticleController::class, 'updateArticle'])->middleware(['checkLogin'])->name('updateArticle');
Route::post('deleteArticle', [ArticleController::class, 'deleteArticle'])->middleware(['checkLogin'])->name('deleteArticle');

Route::get('/strain_types', [StrainTypeController::class, 'indexnew'])->middleware(['checkLogin'])->name('strain_types.index');
Route::post("/strainList", [StrainTypeController::class, "strainList"])->middleware(['checkLogin'])->name("strain_types.strainList");
Route::post("/addStrainTypes", [StrainTypeController::class, "addStrainTypes"])->middleware(['checkLogin'])->name("strain_types.addStrainTypes");
Route::post("/deletesStrainType", [StrainTypeController::class, "deleteStrainType"])->middleware(['checkLogin'])->name("strain_types.deleteStrainType");
Route::post("/updateStrainType", [StrainTypeController::class, "updateStrainType"])->middleware(['checkLogin'])->name("strain_types.updateStrainType");

Route::get('/podcast_categories', [PodcastCategoryController::class, 'index'])->middleware(['checkLogin'])->name('podcast_categories.index');
Route::post("/podcastCategoryList", [PodcastCategoryController::class, "podcastCategoryList"])->middleware(['checkLogin'])->name("podcast_categories.podcastCategoryList");
Route::post("/addPodcastCategory", [PodcastCategoryController::class, "addPodcastCategory"])->middleware(['checkLogin'])->name("podcast_categories.addPodcastCategory");
Route::post("/deletePodcastCategory", [PodcastCategoryController::class, "deletePodcastCategory"])->middleware(['checkLogin'])->name("podcast_categories.deletePodcastCategory");
Route::post("/updatePodcastCategory", [PodcastCategoryController::class, "updatePodcastCategory"])->middleware(['checkLogin'])->name("podcast_categories.updatePodcastCategory");

Route::prefix('podcast')->middleware('checkLogin')->group(function () {
  Route::get('index', [PodcastController::class, 'indexView'])->name('podcast.index');
  Route::post("/podcastList", [PodcastController::class, "podcastList"])->middleware(['checkLogin'])->name("podcast.podcastList");
  Route::post('updateStatus', [PodcastController::class, 'updateStatus'])->middleware(['checkLogin'])->name('updateStatus');
  Route::get('/delete/{id}', [PodcastController::class, 'destroy'])->name('podcast.destroy');
  Route::post('/', [PodcastController::class, 'store'])->name('podcast.store');
  Route::post('{id}', [PodcastController::class, 'update'])->name('podcast.update');
});
Route::post('/podcast/podcastList', [PodcastController::class, 'podcastList']);
Route::get('/podcast/{id}', [PodcastController::class, 'show']);
Route::post('/podcast/{id}', [PodcastController::class, 'update']);
Route::delete('/podcast/{id}', [PodcastController::class, 'destroy']);


Route::get('/artists', [ArtistController::class, 'indexnew'])->middleware(['checkLogin'])->name('artists.index');
Route::post('/artistList', [ArtistController::class, 'indexnew'])->middleware(['checkLogin'])->name('artists.list');
Route::post('/storeArtist', [ArtistController::class, 'storenew'])->middleware(['checkLogin'])->name('artists.store');
Route::get('/artist/{id}/edit', [ArtistController::class, 'editnew'])->middleware(['checkLogin'])->name('artists.edit');
Route::post('/updateArtist', [ArtistController::class, 'updatenew'])->middleware(['checkLogin'])->name('artists.update');
Route::post('/destroyArtist', [ArtistController::class, 'destroynew'])->middleware(['checkLogin'])->name('artists.destroy');

Route::get('/genres', [GenreController::class, 'indexnew'])->middleware(['checkLogin'])->name('genres.index');
Route::post('/genreList', [GenreController::class, 'indexnew'])->middleware(['checkLogin'])->name('genres.list');
Route::post('/storeGenre', [GenreController::class, 'storenew'])->middleware(['checkLogin'])->name('genres.store');
Route::get('/genre/{id}/edit', [GenreController::class, 'editnew'])->middleware(['checkLogin'])->name('genres.edit');
Route::post('/updateGenre', [GenreController::class, 'updatenew'])->middleware(['checkLogin'])->name('genres.update');
Route::post('/destroyGenre', [GenreController::class, 'destroynew'])->middleware(['checkLogin'])->name('genres.destroy');


Route::get('quotes', [QuoteController::class, 'quotes'])->middleware(['checkLogin'])->name('quotes');
Route::post('quoteList', [QuoteController::class, 'quoteList'])->middleware(['checkLogin'])->name('quoteList');
Route::post('addQuote', [QuoteController::class, 'addQuote'])->middleware(['checkLogin'])->name('addQuote');
Route::post('updateQuote', [QuoteController::class, 'updateQuote'])->middleware(['checkLogin'])->name('updateQuote');
Route::post('deleteQuote', [QuoteController::class, 'deleteQuote'])->middleware(['checkLogin'])->name('deleteQuote');



// Notification
Route::get('notifications', [NotificationController::class, 'notifications'])->middleware(['checkLogin'])->name('notifications');
Route::post('sendNotification', [NotificationController::class, 'sendNotification'])->middleware(['checkLogin'])->name('sendNotification');
Route::post('notificationList', [NotificationController::class, 'notificationList'])->middleware(['checkLogin'])->name('notificationList');
Route::post('updateNotification', [NotificationController::class, 'updateNotification'])->middleware(['checkLogin'])->name('updateNotification');
Route::post('repeatNotification', [NotificationController::class, 'repeatNotification'])->middleware(['checkLogin'])->name('repeatNotification');
Route::post('deleteNotification', [NotificationController::class, 'deleteNotification'])->middleware(['checkLogin'])->name('deleteNotification');
 
Route::get('subscription', [SettingsController::class, 'subscription'])->middleware(['checkLogin'])->name('subscription');
Route::post('monthlySubscription', [SettingsController::class, 'monthlySubscription'])->middleware(['checkLogin'])->name('monthlySubscription');
Route::post('yearlySubscription', [SettingsController::class, 'yearlySubscription'])->middleware(['checkLogin'])->name('yearlySubscription');


Route::get('viewPrivacy', [PagesController::class, 'viewPrivacy'])->middleware(['checkLogin'])->name('viewPrivacy');
Route::post('updatePrivacy', [PagesController::class, 'updatePrivacy'])->middleware(['checkLogin'])->name('updatePrivacy');
Route::post('addContentForm', [PagesController::class, 'addContentForm'])->middleware(['checkLogin'])->name('addContentForm');
Route::post('addTermsForm', [PagesController::class, 'addTermsForm'])->middleware(['checkLogin'])->name('addTermsForm');
Route::post('updateTerms', [PagesController::class, 'updateTerms'])->middleware(['checkLogin'])->name('updateTerms');
Route::get('viewTerms', [PagesController::class, 'viewTerms'])->middleware(['checkLogin'])->name('viewTerms');
Route::get('privacyPolicy', [PagesController::class, 'privacyPolicy'])->name('privacyPolicy');
Route::get('termsOfUse', [PagesController::class, 'termsOfUse'])->name('termsOfUse');

/*|--------------------------------------------------------------------------|
  | Eq Route                                                           |
  |--------------------------------------------------------------------------|*/

Route::view('eqs', 'eq')->middleware(['checkLogin'])->name('eqs');
Route::get('eq', [EqController::class, 'geteq'])->middleware(['checkLogin'])->name('eq');

Route::post('deleteeq', [EqController::class, 'deleteEq'])->name('deleteEq')->middleware(['checkLogin']);
Route::post('addeq', [EqController::class, 'addEq'])->middleware(['checkLogin'])->name('addeq');
Route::post('fetchAllEq', [EqController::class, 'fetchAllEq'])->middleware(['checkLogin'])->name('fetchAllEq');
Route::post('updateeq', [EqController::class, 'updateEq'])->middleware(['checkLogin'])->name('updateeq');

/*|--------------------------------------------------------------------------|
  | EqWell Route                                                           |
  |--------------------------------------------------------------------------|*/

Route::view('eqsw', 'eqw')->middleware(['checkLogin'])->name('eqsw');
Route::get('eqw', [EqwController::class, 'geteqw'])->middleware(['checkLogin'])->name('eqw');

Route::post('deleteeqw', [EqwController::class, 'deleteEqw'])->name('deleteEqw')->middleware(['checkLogin']);
Route::post('addeqw', [EqwController::class, 'addEqw'])->middleware(['checkLogin'])->name('addeqw');
Route::post('fetchAllEqw', [EqwController::class, 'fetchAllEqw'])->middleware(['checkLogin'])->name('fetchAllEqw');
Route::post('updateeqw', [EqwController::class, 'updateEqw'])->middleware(['checkLogin'])->name('updateeqw');

/*|--------------------------------------------------------------------------|
  | strain Route                                                           |
  |--------------------------------------------------------------------------|*/

Route::get('strain', function() {
    return view("strain");
})->name('strain');

Route::get('fetchAllStrain', [StrainController::class, 'fetchAllStrain'])->name('fetchAllStrain');
Route::get("approveStatus/{id}", [StrainController::class, 'approveStatus'])->name('approveStatus');
Route::get("deleteStrain/{id}", [StrainController::class, 'deleteStrain'])->name('deleteStrain');
