

<?php $__env->startSection('header'); ?>
    <script src="<?php echo e(asset('asset/script/podcast_categories.js')); ?>"></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<section class="section">
    <div class="card">
        <div class="card-header">
            <div class="page-title w-100">
                <div class="d-flex align-items-center justify-content-between">
                    <h4 class="mb-0 fw-semibold text-capitalize"><?php echo e(__('Podcasts ')); ?></h4>
                    <button type="button" class="btn theme-bg theme-btn text-white text-capitalize" data-bs-toggle="modal"
                        data-bs-target="#podcastCategoryModal" id="addPodcastCategory">
                        <?php echo e(__('Add Podcast')); ?>

                    </button>
                </div>
            </div>
        </div>
        <div class="card-body">
            <table class="table table-striped w-100" id="podcastCategoriesTable">
                <thead>
                    <tr>
                        <th><?php echo e(__('Title')); ?></th>
                        <th><?php echo e(__('Description')); ?></th>
                        <th><?php echo e(__('Artist')); ?></th>
                        <th><?php echo e(__('Tags')); ?></th>
                        <th><?php echo e(__('Image')); ?></th>
                        <th style="text-align: right"><?php echo e(__('Action')); ?></th>
                    </tr>
                </thead>
            </table>
        </div>
    </div>
</section>

<!-- Add Podcast Category Modal -->
<div class="modal fade" id="podcastCategoryModal" tabindex="-1" aria-labelledby="addPodcastCategoryLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5 fw-semibold text-capitalize" id="addPodcastCategoryLabel"><?php echo e(__('Add Podcast')); ?></h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form id="addPodcastCategoryForm" method="post" enctype="multipart/form-data">
                <div class="modal-body">
                    <!-- Category Name -->
                    <div class="form-group">
                        <label for="name" class="form-label"><?php echo e(__('Podcast Title')); ?></label>
                        <input type="text" class="form-control" name="name" id="name" required>
                    </div>

                    <!-- Description -->
                    <div class="form-group">
                        <label for="description" class="form-label"><?php echo e(__('Description')); ?></label>
                        <textarea class="form-control" name="description" id="description" rows="3"></textarea>
                    </div>

                    <!-- Artist -->
                    <div class="form-group">
                        <label for="artist" class="form-label"><?php echo e(__('Artist')); ?></label>
                        <select name="artist_id" id="artist" class="form-control" required>
                            <?php $__currentLoopData = $artists; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $artist): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($artist->id); ?>"><?php echo e($artist->name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>

                    <!-- Tags -->
                    <div class="form-group">
                        <label for="tags" class="form-label"><?php echo e(__('Tags')); ?></label>
                        <input type="text" class="form-control" name="tags" id="tags" placeholder="e.g., tag1, tag2">
                    </div>

                    <!-- Image -->
                    <div class="form-group">
                        <label for="image" class="form-label"><?php echo e(__('Image')); ?></label>
                        <input type="file" class="form-control" name="image" id="image">
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn modal-cancel-btn" data-bs-dismiss="modal"><?php echo e(__('Cancel')); ?></button>
                    <button type="submit" class="btn theme-btn text-white"><?php echo e(__('Save')); ?></button>
                </div>
            </form>
        </div>
    </div>
</div>

<!-- Edit Podcast Category Modal -->
<div class="modal fade" id="editPodcastCategoryModal" tabindex="-1" aria-labelledby="editPodcastCategoryLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5 fw-semibold text-capitalize" id="editPodcastCategoryLabel"><?php echo e(__('Edit Podcast')); ?></h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form id="editPodcastCategoryForm" method="post" enctype="multipart/form-data">
                <input type="hidden" id="podcastCategoryID">
                <div class="modal-body">
                    <!-- Category Name -->
                    <div class="form-group">
                        <label for="editName" class="form-label"><?php echo e(__('Podcast Title')); ?></label>
                        <input type="text" class="form-control" name="name" id="editName" required>
                    </div>

                    <!-- Description -->
                    <div class="form-group">
                        <label for="editDescription" class="form-label"><?php echo e(__('Description')); ?></label>
                        <textarea class="form-control" name="description" id="editDescription" rows="3"></textarea>
                    </div>

                    <!-- Artist -->
                    <div class="form-group">
                        <label for="editArtist" class="form-label"><?php echo e(__('Artist')); ?></label>
                        <select name="artist_id" id="editArtist" class="form-control" required>
                            <?php $__currentLoopData = $artists; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $artist): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($artist->id); ?>"><?php echo e($artist->name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>

                    <!-- Tags -->
                    <div class="form-group">
                        <label for="editTags" class="form-label"><?php echo e(__('Tags')); ?></label>
                        <input type="text" class="form-control" name="tags" id="editTags" placeholder="e.g., tag1, tag2">
                    </div>

                    <!-- Image -->
                    <div class="form-group">
                        <label for="editImage" class="form-label"><?php echo e(__('Image')); ?></label>
                        <input type="file" class="form-control" name="image" id="editImage">
                        <small class="form-text text-muted"><?php echo e(__('Leave empty to retain the existing image')); ?></small>
                        <div id="imagePreview" class="mt-2">
                            <!-- Preview for the existing image -->
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn modal-cancel-btn" data-bs-dismiss="modal"><?php echo e(__('Cancel')); ?></button>
                    <button type="submit" class="btn theme-btn text-white"><?php echo e(__('Save')); ?></button>
                </div>
            </form>
        </div>
    </div>
</div>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('include.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/rosieapi/public_html/api2.rosieapi.com/resources/views/podcast_categories/index.blade.php ENDPATH**/ ?>