

<?php $__env->startSection('header'); ?>
    <script src="<?php echo e(asset('asset/script/genres.js')); ?>"></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<section class="section">
    <div class="card">
        <div class="card-header">
            <div class="page-title w-100">
                <div class="d-flex align-items-center justify-content-between">
                    <h4 class="mb-0 fw-semibold text-capitalize"><?php echo e(__('Genres')); ?></h4>
                    <button type="button" class="btn theme-bg theme-btn text-white text-capitalize" 
                            data-bs-toggle="modal" data-bs-target="#genreModal" id="addGenre">
                        <?php echo e(__('Add Genre')); ?>

                    </button>
                </div>
            </div>
        </div>
        <div class="card-body">
            <table class="table table-striped w-100" id="genresTable">
                <thead>
                    <tr>
                        <th><?php echo e(__('Name')); ?></th>
                        <th><?php echo e(__('Description')); ?></th>
                        <th><?php echo e(__('Parent Genre')); ?></th>
                        <!-- Optionally, add a column for 'Type' if you want to display it in the table -->
                        <th><?php echo e(__('Type')); ?></th>
                        <th style="text-align: right"><?php echo e(__('Action')); ?></th>
                    </tr>
                </thead>
            </table>
        </div>
    </div>
</section>

<!-- Add Genre Modal -->
<div class="modal fade" id="genreModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-sm-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5 fw-semibold text-capitalize" id="exampleModalLabel"><?php echo e(__('Add Genre')); ?></h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form id="addGenreForm" method="post">
                <div class="modal-body">
                    <div class="form-group mb-3">
                        <label for="name" class="form-label"><?php echo e(__('Name')); ?></label>
                        <input type="text" class="form-control" name="name" id="name" required>
                    </div>
                    <div class="form-group mb-3">
                        <label for="description" class="form-label"><?php echo e(__('Description')); ?></label>
                        <textarea class="form-control" name="description" id="description"></textarea>
                    </div>
                    <div class="form-group mb-3">
                        <label for="parent_id" class="form-label"><?php echo e(__('Parent Genre')); ?></label>
                        <select class="form-control" name="parent_id" id="parent_id">
                            <option value=""><?php echo e(__('None')); ?></option>
                            <?php $__currentLoopData = $parents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $parent): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($parent->id); ?>"><?php echo e($parent->name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>
                    <!-- NEW: Type field -->
                    <div class="form-group mb-3">
                        <label for="type" class="form-label"><?php echo e(__('Type')); ?></label>
                        <select class="form-control" name="type" id="type" required>
                            <option value="">-- Select Type --</option>
                            <option value="indica">Indica</option>
                            <option value="sativa">Sativa</option>
                            <option value="hybrid">Hybrid</option>
                            <option value="meditation">Meditation</option>
                        </select>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn modal-cancel-btn" data-bs-dismiss="modal">
                        <?php echo e(__('Cancel')); ?>

                    </button>
                    <button type="submit" class="btn theme-btn text-white saveButton">
                        <?php echo e(__('Save')); ?>

                    </button>
                </div>
            </form>
        </div>
    </div>
</div>

<!-- Edit Genre Modal -->
<div class="modal fade" id="editGenreModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5 fw-semibold text-capitalize" id="exampleModalLabel">
                    <?php echo e(__('Edit Genre')); ?>

                </h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form id="editGenreForm" method="post">
                <input type="hidden" id="genreID"> <!-- For storing the ID of the genre being edited -->
                <div class="modal-body">
                    <div class="form-group mb-3">
                        <label for="edit_name" class="form-label"><?php echo e(__('Name')); ?></label>
                        <input type="text" class="form-control" name="name" id="edit_name" required>
                    </div>
                    <div class="form-group mb-3">
                        <label for="edit_description" class="form-label"><?php echo e(__('Description')); ?></label>
                        <textarea class="form-control" name="description" id="edit_description"></textarea>
                    </div>
                    <div class="form-group mb-3">
                        <label for="edit_parent_id" class="form-label"><?php echo e(__('Parent Genre')); ?></label>
                        <select class="form-control" name="parent_id" id="edit_parent_id">
                            <option value=""><?php echo e(__('None')); ?></option>
                            <!-- Parent genres are dynamically added via JS -->
                        </select>
                    </div>
                    <!-- NEW: Type field for Edit -->
                    <div class="form-group mb-3">
                        <label for="edit_type" class="form-label"><?php echo e(__('Type')); ?></label>
                        <select class="form-control" name="type" id="edit_type" required>
                            <option value="">-- Select Type --</option>
                            <option value="indica">Indica</option>
                            <option value="sativa">Sativa</option>
                            <option value="hybrid">Hybrid</option>
                            <option value="meditation">Meditation</option>
                        </select>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn modal-cancel-btn" data-bs-dismiss="modal">
                        <?php echo e(__('Cancel')); ?>

                    </button>
                    <button type="submit" class="btn theme-btn text-white saveButton1">
                        <?php echo e(__('Save')); ?>

                    </button>
                </div>
            </form>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('include.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/rosieapi/public_html/api2.rosieapi.com/resources/views/genres/index.blade.php ENDPATH**/ ?>