

<?php $__env->startSection('header'); ?>
    <script src="<?php echo e(asset('asset/script/artists.js')); ?>"></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<section class="section">
    <div class="card">
        <div class="card-header">
            <div class="page-title w-100">
                <div class="d-flex align-items-center justify-content-between">
                    <h4 class="mb-0 fw-semibold text-capitalize"><?php echo e(__('Artists')); ?></h4>
                    <button type="button" class="btn theme-bg theme-btn text-white text-capitalize" data-bs-toggle="modal"
                        data-bs-target="#artistModal" id="addArtist">
                        <?php echo e(__('Add Artist')); ?>

                    </button>
                </div>
            </div>
        </div>
        <div class="card-body">
            <table class="table table-striped w-100" id="artistsTable">
                <thead>
                    <tr>
                        <th><?php echo e(__('Name')); ?></th>
                        <th><?php echo e(__('Image')); ?></th> <!-- Image column moved after Name -->
                        <th><?php echo e(__('Description')); ?></th>
                        <th><?php echo e(__('Background Info')); ?></th>
                        <th><?php echo e(__('Personality Traits')); ?></th>
                        <th><?php echo e(__('Appearance Details')); ?></th>
                        <th><?php echo e(__('Action')); ?></th>
                    </tr>
                </thead>
            </table>
        </div>
    </div>
</section>

<!-- Add Artist Modal -->
<div class="modal fade" id="artistModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-sm-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5 fw-semibold text-capitalize" id="exampleModalLabel"><?php echo e(__('Add Artist')); ?></h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form id="addArtistForm" method="post" enctype="multipart/form-data"> <!-- Added enctype for file upload -->
                <div class="modal-body">
                    <div class="form-group">
                        <label for="name" class="form-label"><?php echo e(__('Name')); ?></label>
                        <input type="text" class="form-control" name="name" id="name" required>
                    </div>
                    <div class="form-group"> <!-- New field for image -->
                        <label for="image" class="form-label"><?php echo e(__('Image')); ?></label>
                        <input type="file" class="form-control" name="image" id="image" accept="image/*">
                    </div>
                    <div class="form-group">
                        <label for="description" class="form-label"><?php echo e(__('Description')); ?></label>
                        <textarea class="form-control" name="description" id="description" required></textarea>
                    </div>
                    <div class="form-group">
                        <label for="background_info" class="form-label"><?php echo e(__('Background Info')); ?></label>
                        <textarea class="form-control" name="background_info" id="background_info"></textarea>
                    </div>
                    <div class="form-group">
                        <label for="personality_traits" class="form-label"><?php echo e(__('Personality Traits')); ?></label>
                        <textarea class="form-control" name="personality_traits" id="personality_traits"></textarea>
                    </div>
                    <div class="form-group">
                        <label for="appearance_details" class="form-label"><?php echo e(__('Appearance Details')); ?></label>
                        <textarea class="form-control" name="appearance_details" id="appearance_details"></textarea>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn modal-cancel-btn"
                        data-bs-dismiss="modal"><?php echo e(__('Cancel')); ?></button>
                    <button type="submit" class="btn theme-btn text-white saveButton"><?php echo e(__('Save')); ?></button>
                </div>
            </form>
        </div>
    </div>
</div>

<!-- Edit Artist Modal -->
<div class="modal fade" id="editArtistModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5 fw-semibold text-capitalize" id="exampleModalLabel"><?php echo e(__('Edit Artist')); ?></h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form id="editArtistForm" method="post" enctype="multipart/form-data"> <!-- Added enctype for file upload -->
                <input type="hidden" id="artistID">
                <div class="modal-body">
                    <div class="form-group">
                        <label for="edit_name" class="form-label"><?php echo e(__('Name')); ?></label>
                        <input type="text" class="form-control" name="name" id="edit_name" required>
                    </div>
                    <div class="form-group"> <!-- New field for image -->
                        <label for="edit_image" class="form-label"><?php echo e(__('Image')); ?></label>
                        <input type="file" class="form-control" name="image" id="edit_image" accept="image/*">
                        <img id="currentImage" src="" alt="<?php echo e(__('Current Image')); ?>" class="img-thumbnail mt-2" style="max-width: 150px;"> <!-- For showing current image -->
                    </div>
                    <div class="form-group">
                        <label for="edit_description" class="form-label"><?php echo e(__('Description')); ?></label>
                        <textarea class="form-control" name="description" id="edit_description" required></textarea>
                    </div>
                    <div class="form-group">
                        <label for="edit_background_info" class="form-label"><?php echo e(__('Background Info')); ?></label>
                        <textarea class="form-control" name="background_info" id="edit_background_info"></textarea>
                    </div>
                    <div class="form-group">
                        <label for="edit_personality_traits" class="form-label"><?php echo e(__('Personality Traits')); ?></label>
                        <textarea class="form-control" name="personality_traits" id="edit_personality_traits"></textarea>
                    </div>
                    <div class="form-group">
                        <label for="edit_appearance_details" class="form-label"><?php echo e(__('Appearance Details')); ?></label>
                        <textarea class="form-control" name="appearance_details" id="edit_appearance_details"></textarea>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn modal-cancel-btn"
                        data-bs-dismiss="modal"><?php echo e(__('Cancel')); ?></button>
                    <button type="submit" class="btn theme-btn text-white saveButton1"><?php echo e(__('Save')); ?></button>
                </div>
            </form>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('include.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/rosieapi/public_html/api2.rosieapi.com/resources/views/artists/index.blade.php ENDPATH**/ ?>