

<?php $__env->startSection('header'); ?>
    <script src="<?php echo e(asset('asset/script/music.js')); ?>"></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<!-- CSS -->
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@yaireo/tagify/dist/tagify.css">
<!-- JS -->
<script src="https://cdn.jsdelivr.net/npm/@yaireo/tagify"></script>

<section class="section">
    <div class="card">
        <div class="card-header">
            <div class="page-title w-100">
                <div class="d-flex align-items-center justify-content-between">
                    <h4 class="mb-0 fw-semibold text-capitalize"><?php echo e(__('Musics')); ?></h4>
                    <button type="button" class="btn theme-bg theme-btn text-white text-capitalize"
                            data-bs-toggle="modal" data-bs-target="#musicModal">
                        <?php echo e(__('Add Music')); ?>

                    </button>
                </div>
            </div>
        </div>
        <div class="card-body">
            
            <!-- FILTERS ROW: Album, Type, Tag, Artist -->
            <div class="row mb-3">
                <!-- Filter by Album -->
                <div class="col-md-3">
                    <select id="filterAlbum" class="form-control form-control-sm">
                        <option value="">All Albums</option>
                        <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cat): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($cat->id); ?>"><?php echo e($cat->title); ?></option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                </div>

                <!-- Filter by Type (Free or Premium) -->
                <div class="col-md-3">
                
                    <select id="filterType" class="form-control form-control-sm">
                        <option value="">All Types</option>
                        <option value="0">Free</option>
                        <option value="1">Premium</option>
                    </select>
                </div>

                <!-- Filter by Tag -->
               <!-- Replace Filter by Tag dropdown with a text input -->
    <div class="col-md-3">
       
        <input type="text" id="filterTag" class="form-control form-control-sm" placeholder="Type a tag..."/>
    </div>


                <!-- Filter by Artist -->
                <div class="col-md-3">
                   
                    <select id="filterArtist" class="form-control form-control-sm">
                        <option value="">All Artists</option>
                        <?php $__currentLoopData = $artists; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $artistId => $artistName): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($artistName); ?>"><?php echo e($artistName); ?></option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                </div>
            </div>

            <!-- DataTable -->
            <table class="table table-striped w-100" id="musicTable">
                <thead>
                    <tr>
                        <th width="100px"><?php echo e(__('Image')); ?></th>
                        <th width="25%" class="music_td"><?php echo e(__('Music')); ?></th>
                        <th><?php echo e(__('Title')); ?></th>
                        <th><?php echo e(__('Tag')); ?></th>
                        <th><?php echo e(__('Plays')); ?></th>
                        <th><?php echo e(__('Album')); ?></th>
                        <th><?php echo e(__('Type')); ?></th>
                        <th><?php echo e(__('Featured')); ?></th>
                        <th><?php echo e(__('Active')); ?></th>
                        <th><?php echo e(__('Artist')); ?></th>
                        <th width="200px" style="text-align: right"><?php echo e(__('Action')); ?></th>
                    </tr>
                </thead>
            </table>
        </div>
    </div>
</section>

<!-- Music Modal -->
<div class="modal fade" id="musicModal" tabindex="-1" aria-labelledby="exampleModalLabel">
    <div class="modal-dialog modal-sm-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5 fw-semibold text-capitalize" id="exampleModalLabel"><?php echo e(__('Add Music')); ?></h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <!-- Make sure to include <?php echo csrf_field(); ?> and enctype for file uploads if not using purely AJAX -->
            <form id="addMusicForm" method="post" enctype="multipart/form-data">
                <?php echo csrf_field(); ?>
                <div class="modal-body">
                    <div class="form-group mb-3">
                        <label for="title" class="form-label"><?php echo e(__('Title')); ?></label>
                        <input type="text" class="form-control" name="title" id="title" required="">
                    </div>
                    <div class="row mb-3">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="form-label"><?php echo e(__('Album')); ?></label>
                                <select name="category_id" id="category" class="form-control" required>
                                    <option value="" disabled selected><?php echo e(__('Select Option')); ?></option>
                                    <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($category->id); ?>"><?php echo e($category->title); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="form-label"><?php echo e(__('Select Type')); ?> </label>
                                <select name="type" id="type" class="form-control" required>
                                    <option value="" disabled selected><?php echo e(__('Select Type')); ?></option>
                                    <option value="0"><?php echo e(__('Free')); ?></option>
                                    <option value="1"><?php echo e(__('Premium')); ?></option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <!-- Lyrics -->
                    <div class="form-group mb-3">
                        <label class="form-label"><?php echo e(__('Lyrics')); ?></label>
                        <div id="lyricsContent" class="quillEditorLyrics"></div>
                    </div>
                    <!-- Hidden input for lyrics if needed -->
                    <input type="hidden" name="lyrics" />

                    <!-- Tags -->
                    <div class="form-group mb-3">
                        <label class="form-label"><?php echo e(__('Tags')); ?></label>
                        <input type="text" class="form-control" name="tags" id="tags" placeholder="Add tags" required>
                    </div>

                    <div class="row">
                        <div class="col-md-8">
                            <div class="form-group mb-3">
                                <label for="uploadMusic" class="form-label"><?php echo e(__('Music')); ?></label>
                                <label for="uploadMusic" class="iconformusic">
                                    <?php echo e(__('Select music')); ?>

                                </label>
                                <input type="file" class="form-control" id="uploadMusic" name="audio"
                                       style="display: none;" accept="audio/mp3,audio/*;capture=microphone">
                                <audio id="audio" src="" controls></audio>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group float-end mb-3">
                                <label for="image" class="form-label"><?php echo e(__('Image')); ?></label>
                                <div class="posterImg">
                                    <div class="upload-options">
                                        <label for="poster">
                                            <input type="file" accept=".png, .jpg, .jpeg, .webp"
                                                   onchange="loadFile(event)" name="image" id="poster" required>
                                        </label>
                                    </div>
                                    <img id="posterImg" class="custom_img img-fluid"
                                         src="<?php echo e(asset('asset/img/placeholder-image.png')); ?>">
                                </div>
                            </div>
                        </div>
                    </div>
                </div> <!-- modal-body -->
                <div class="modal-footer">
                    <button type="button" class="btn modal-cancel-btn" data-bs-dismiss="modal"><?php echo e(__('Cancel')); ?></button>
                    <button type="submit" class="btn theme-btn text-white saveButton"><?php echo e(__('Save')); ?></button>
                </div>
            </form>
        </div>
    </div>
</div>

<!-- Edit music Modal -->
<div class="modal fade" id="editMusicModal" tabindex="-1" aria-labelledby="exampleModalLabel" >
    <div class="modal-dialog modal-sm-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5 fw-semibold text-capitalize" id="exampleModalLabel">
                    <?php echo e(__('Edit Music')); ?>

                </h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form id="editMusicForm" method="post" enctype="multipart/form-data">
                <?php echo csrf_field(); ?>
                <div class="modal-body">
                    <div class="form-group mb-3">
                        <label for="edit_title" class="form-label"><?php echo e(__('Title')); ?></label>
                        <input type="text" class="form-control" name="title" id="edit_title" required="">
                    </div>
                    <div class="row mb-3">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="form-label"><?php echo e(__('Category')); ?></label>
                                <select name="category_id" id="edit_category" class="form-control" required>
                                    <option value="" disabled selected><?php echo e(__('Select Option')); ?></option>
                                    <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($category->id); ?>"><?php echo e($category->title); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="form-label"><?php echo e(__('Select Type')); ?></label>
                                <select name="type" id="edit_type" class="form-control" required>
                                    <option value="" disabled selected><?php echo e(__('Select Type')); ?></option>
                                    <option value="0"><?php echo e(__('Free')); ?></option>
                                    <option value="1"><?php echo e(__('Premium')); ?></option>
                                </select>
                            </div>
                        </div>
                    </div>

                    <!-- Lyrics -->
                    <div class="form-group mb-3">
                        <label class="form-label"><?php echo e(__('Lyrics')); ?></label>
                        <div id="lyricsContentEdit" class="quillEditorLyricsEdit"></div>
                    </div>
                    <!-- Hidden input for lyrics -->
                    <input type="hidden" name="lyrics" />

                    <!-- Tags -->
                    <div class="form-group mb-3">
                        <label class="form-label"><?php echo e(__('Tags')); ?></label>
                        <input type="text" class="form-control" name="tag" id="tagEdit" required="">
                    </div>

                    <div class="row">
                        <div class="col-md-8">
                            <div class="form-group mb-3">
                                <label for="editUploadMusic" class="form-label"><?php echo e(__('Music')); ?></label>
                                <label for="editUploadMusic" class="iconformusic">
                                    <?php echo e(__('Select music')); ?>

                                    <input type="file" class="form-control" id="editUploadMusic" name="audio"
                                           style="display: none;" accept="audio/mp3,audio/*;capture=microphone">
                                </label>
                                <audio id="edit_audio" src="" controls></audio>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group mb-3">
                                <label for="image" class="form-label"><?php echo e(__('Image')); ?></label>
                                <div class="posterImg">
                                    <div class="upload-options">
                                        <label for="edit_poster">
                                            <input type="file" accept=".png, .jpg, .jpeg, .webp"
                                                   onchange="loadFileEdit(event)" name="image" id="edit_poster">
                                        </label>
                                    </div>
                                    <img id="edit_musicImg" class="custom_img img-fluid"
                                         src="<?php echo e(asset('asset/img/placeholder-image.png')); ?>">
                                </div>
                            </div>
                        </div>
                    </div>
                </div> <!-- modal-body -->
                <div class="modal-footer">
                    <button type="button" class="btn modal-cancel-btn" data-bs-dismiss="modal"><?php echo e(__('Cancel')); ?></button>
                    <button type="submit" class="btn theme-btn text-white saveButton"><?php echo e(__('Save')); ?></button>
                </div>
            </form>
        </div>
    </div>
</div>

<script>
    function handleFiles1(event) {
        var files1 = event.target.files;
        $("#audio").attr("src", URL.createObjectURL(files1[0]));
        document.getElementById("audio").load();
    }
    document.getElementById("uploadMusic").addEventListener("change", handleFiles1, false);

    function handleFiles(event) {
        var files = event.target.files;
        $("#edit_audio").attr("src", URL.createObjectURL(files[0]));
        document.getElementById("edit_audio").load();
    }
    document.getElementById("editUploadMusic").addEventListener("change", handleFiles, false);

    var loadFile = function(event) {
        var output = document.getElementById('posterImg');
        output.src = URL.createObjectURL(event.target.files[0]);
        output.onload = function() {
            URL.revokeObjectURL(output.src)
        }
    };
    var loadFileEdit = function(event) {
        var output1 = document.getElementById('edit_musicImg');
        output1.src = URL.createObjectURL(event.target.files[0]);
        output1.onload = function() {
            URL.revokeObjectURL(output1.src)
        }
    };
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('include.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/rosieapi/public_html/api2.rosieapi.com/resources/views/musics.blade.php ENDPATH**/ ?>