<?php $__env->startSection('header'); ?>
    <script src="<?php echo e(asset('asset/script/category.js')); ?>"></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<section class="section">
    <div class="card">
        <div class="card-header">
            <div class="page-title w-100">
                <div class="d-flex align-items-center justify-content-between">
                    <h4 class="mb-0 fw-semibold text-capitalize"><?php echo e(__('Albums')); ?></h4>
                    <button type="button" class="btn theme-bg theme-btn text-white text-capitalize" data-bs-toggle="modal"
                        data-bs-target="#categoryModal" id="addCategoryType">
                        <?php echo e(__('Add Album')); ?>

                    </button>
                </div>
            </div>
        </div>
        <div class="card-body">
            <table class="table table-striped w-100" id="categoryTable">
                <thead>
                    <tr>
                        <th width="100px"><?php echo e(__('Image')); ?></th>
                        <th width="100%"><?php echo e(__('Title')); ?></th>
                        <th width="100%"><?php echo e(__('Artist')); ?></th>
                        <th width="100%"><?php echo e(__('Genre')); ?></th>
                        <th width="200px" style="text-align: right"><?php echo e(__('Action')); ?></th>
                    </tr>
                </thead>
            </table>
        </div>
    </div>
   
</section>

 
    <!-- Category Modal -->
    <div class="modal fade" id="categoryModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-sm-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h1 class="modal-title fs-5 fw-semibold text-capitalize" id="exampleModalLabel"><?php echo e(__('Add Album')); ?></h1>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <form id="addCategoryForm" method="post">
                    <div class="modal-body">
                        <!-- Title Input -->
                        <div class="form-group">
                            <label for="title" class="form-label"><?php echo e(__('Title')); ?></label>
                            <input type="text" class="form-control" name="title" id="category" required="">
                        </div>
    
                        <!-- Image Input -->
                        <div class="form-group">
                            <label for="image" class="form-label"><?php echo e(__('Image')); ?></label>
                            <div class="posterImg">
                                <div class="upload-options">
                                    <label for="poster"> 
                                        <input type="file" accept=".png, .jpg, .jpeg, .webp" onchange="loadFile(event)" name="image" id="poster" required>
                                    </label>
                                </div>
                                <img id="posterImg" class="custom_img img-fluid" src="<?php echo e(asset('asset/img/placeholder-image.png')); ?>">
                            </div>
                        </div>
    
                        <!-- Artist Dropdown -->
                        <div class="form-group">
                            <label for="artist" class="form-label"><?php echo e(__('Artist')); ?></label>
                            <select class="form-select" name="artist_id" id="artist" required>
                                <option value=""><?php echo e(__('Select Artist')); ?></option>
                                <?php $__currentLoopData = $artists; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $artist): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($artist->id); ?>"><?php echo e($artist->name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
    
                        <!-- Genre Dropdown -->
                        <div class="form-group">
                            <label for="genre" class="form-label"><?php echo e(__('Genre')); ?></label>
                            <select class="form-select" name="genre_id" id="genre" required>
    <option value=""><?php echo e(__('Select Genre')); ?></option>
    <?php $__currentLoopData = $genres; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $genre): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <?php if($genre->parent_id !== null): ?>
            <option value="<?php echo e($genre->id); ?>"><?php echo e($genre->name); ?></option>
        <?php endif; ?>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
</select>

                        </div>
                    </div>
    
                    <div class="modal-footer">
                        <button type="button" class="btn modal-cancel-btn" data-bs-dismiss="modal"><?php echo e(__('Cancel')); ?></button>
                        <button type="submit" class="btn theme-btn text-white saveButton"><?php echo e(__('Save')); ?></button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    

    <div class="modal fade" id="editCategoryModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h1 class="modal-title fs-5 fw-semibold text-capitalize" id="exampleModalLabel"><?php echo e(__('Edit Album')); ?></h1>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <form id="editCategoryForm" method="post">
                    <input type="hidden" id="categoryID">
                    <div class="modal-body">
                        <!-- Title Input -->
                        <div class="form-group">
                            <label for="title" class="form-label"><?php echo e(__('Title')); ?></label>
                            <input type="text" class="form-control" name="title" id="editCategory" required="">
                        </div>
    
                        <!-- Image Input -->
                        <div class="form-group">
                            <label for="image" class="form-label"><?php echo e(__('Image')); ?></label>
                            <div class="posterImg editContent">
                                <div class="upload-options">
                                    <label for="poster1"> 
                                        <input type="file" accept=".png, .jpg, .jpeg, .webp" onchange="loadFileEdit(event)" name="image" id="poster1">
                                    </label>
                                </div>
                                <img id="posterImgEdit" class="custom_img img-fluid" src="<?php echo e(asset('asset/img/placeholder-image.png')); ?>">
                            </div>
                        </div>
    
                        <!-- Artist Dropdown -->
                        <div class="form-group">
                            <label for="artist" class="form-label"><?php echo e(__('Artist')); ?></label>
                            <select class="form-select" name="artist_id" id="editArtist" required>
                                <option value=""><?php echo e(__('Select Artist')); ?></option>
                                <?php $__currentLoopData = $artists; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $artist): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($artist->id); ?>"><?php echo e($artist->name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
    
                        <!-- Genre Dropdown -->
                        <div class="form-group">
                            <label for="genre" class="form-label"><?php echo e(__('Genre')); ?></label>
                            <select class="form-select" name="genre_id" id="editGenre" required>
                                <option value=""><?php echo e(__('Select Genre')); ?></option>
                                <?php $__currentLoopData = $genres; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $genre): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($genre->id); ?>"><?php echo e($genre->name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                    </div>
    
                    <div class="modal-footer">
                        <button type="button" class="btn modal-cancel-btn" data-bs-dismiss="modal"><?php echo e(__('Cancel')); ?></button>
                        <button type="submit" class="btn theme-btn text-white saveButton1"><?php echo e(__('Save')); ?></button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    
    <script>


var loadFile = function(event) {
    var output = document.getElementById('posterImg');
    output.src = URL.createObjectURL(event.target.files[0]);
    output.onload = function() {
        URL.revokeObjectURL(output.src)
    }
};

var loadFileEdit = function(event) {
    var output = document.getElementById('posterImgEdit');
    output.src = URL.createObjectURL(event.target.files[0]); 
    output.onload = function() {
        URL.revokeObjectURL(output.src)
    }
};
 

    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('include.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/rosieapi/public_html/api2.rosieapi.com/resources/views/categories.blade.php ENDPATH**/ ?>