<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, shrink-to-fit=no" name="viewport">
    <title><?php echo Session::get('app_name'); ?></title>
    <link rel='shortcut icon' type='image/x-icon' href="<?php echo e(asset('asset/img/favicon.png')); ?>"
        style="width: 2px !important;" />
    <link
        href="https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap"
        rel="stylesheet">
    <link href="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote.min.css" rel="stylesheet">

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link href="<?php echo e(asset('asset/cdncss/quill.css')); ?>" rel="stylesheet" />
    <link href="<?php echo e(asset('asset/cdncss/iziToast.css')); ?>" rel="stylesheet" />
    <link href="<?php echo e(asset('asset/cdncss/select2.css')); ?>" rel="stylesheet" />
    <link href="<?php echo e(asset('asset/css/bootstrap.min.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('asset/css/style.css')); ?>" rel="stylesheet">
</head>
<style>


</style>

<body>

    <div class="loader-bg">
        <div class="loader"></div>
    </div>

    <div id="app">
        <div class="main-wrapper main-wrapper-1">
            <div class="navbar-bg"></div>
            <nav class="navbar navbar-expand-lg main-navbar sticky">
                <div class="form-inline mr-auto">
                    <ul class="navbar-nav mr-3">
                        <li>
                            <a href="#" data-toggle="sidebar" class="nav-link nav-link-lg collapse-btn">
                                <i data-feather="menu"></i>
                            </a>
                        </li>
                    </ul>
                </div>
                <ul class="navbar-nav navbar-right">
                    <li class="dropdown">
                        <a href="#" data-toggle="dropdown"
                            class="nav-link dropdown-toggle nav-link-lg nav-link-user">
                            <span class="profile-btn">
                                <i data-feather="user"></i>
                            </span>
                        </a>
                        <div class="dropdown-menu dropdown-menu-right pullDown">
                            <a href="<?php echo e(route('logout')); ?>" class="dropdown-item has-icon text-danger">
                                <i data-feather="log-out"></i>
                                <?php echo e(__('Log out')); ?>

                            </a>
                        </div>
                    </li>
                </ul>
            </nav>

            <div class="main-sidebar sidebar-style-2">
                <div class="sidebar-brand" id="reloadContent">
                    <a href="<?php echo e(route('index')); ?>">
                        <span class="logo-name"><?php echo Session::get('app_name'); ?></span>
                        <span class="logo-name-small"><?php echo Session::get('app_name'); ?></span>
                    </a>
                </div>
                <aside id="sidebar-wrapper">
                    <ul class="sidebar-menu">
                        <li class="sideBarli indexSideA">
                            <a href="<?php echo e(route('index')); ?>" class="nav-link">
                                <i data-feather="home"></i>
                                <span> <?php echo e(__('Dashboard')); ?> </span>
                            </a>
                        </li>
                        <li class="sideBarli userSideA">
                            <a href="<?php echo e(route('users')); ?>" class="nav-link">
                                <i data-feather="users"></i>
                                <span> <?php echo e(__('Users')); ?> </span>
                            </a>
                        </li>
                        <li class="sideBarli eqcommentsSideA">
                            <a href="<?php echo e(route('comments.indexview')); ?>" class="nav-link">
                                <i data-feather="box"></i>
                                <span> <?php echo e(__('Comments')); ?> </span>
                            </a>
                        </li>


                        <li class="sideBarli strainSideA">



                            <a data-bs-toggle="collapse" data-bs-target="#submenu" aria-expanded="false"
                                aria-controls="submenu" href="<?php echo e(route('strain')); ?>" class="nav-link">
                                <i class="fas fa-check-circle"></i><span>Strains</span>
                            </a>
                            <div class="submenu collapse" id="submenu">
                                <a href="<?php echo e(route('strain')); ?>" class="nav-link">
                                    <i class="fas fa-check-circle"></i><span>Strain</span>
                                </a>
                                <a href="<?php echo e(route('strain_types.index')); ?>" class="nav-link">
                                    <i data-feather="box"></i>
                                    <span> <?php echo e(__('Strain Types')); ?> </span>
                                </a>
                                <a href="<?php echo e(route('eqs')); ?>" class="nav-link">
                                    <i data-feather="music"></i>
                                    <span> <?php echo e(__('Ai Strain')); ?> </span>
                                </a>
                                <a href="<?php echo e(route('eqsw')); ?>" class="nav-link eqwSideA">
                                    <i data-feather="music"></i>
                                    <span> <?php echo e(__('Ai Wellness')); ?> </span>
                                </a>
                            </div>
                        </li>


                        <li class="sideBarli PodcastSideA">

                            <a data-bs-toggle="collapse" data-bs-target="#submenu1" aria-expanded="false"
                                aria-controls="submenu" href="<?php echo e(route('podcast.index')); ?>" class="nav-link">
                                <i data-feather="box"></i>
                                <span> <?php echo e(__('Manage Podcasts')); ?> </span>
                            </a>
                            <div class="submenu collapse" id="submenu1">
                                 <a href="<?php echo e(route('podcast_categories.index')); ?>" class="nav-link">
                                    <i data-feather="box"></i>
                                    <span style="line-height: 20px"><?php echo e(__('Podcasts')); ?> </span>
                                </a>
                                <a href="<?php echo e(route('podcast.index')); ?>" class="nav-link">
                                    <i data-feather="box"></i>
                                    <span> <?php echo e(__('Episodes')); ?> </span>
                                </a>
                              
                            </div>
                        </li>



                        <li class="sideBarli musicSideA">
                            <a data-bs-toggle="collapse" data-bs-target="#submenu2" aria-expanded="false"
                                aria-controls="submenu" href="<?php echo e(route('musics')); ?>" class="nav-link">
                                <i data-feather="music"></i>
                                <span> <?php echo e(__('Musics')); ?> </span>
                            </a>
                            <div class="submenu collapse" id="submenu2">
                                <a href="<?php echo e(route('playlists.index')); ?>" class="nav-link">
                                    <i data-feather="box"></i>
                                    <span> <?php echo e(__('Playlists')); ?> </span>
                                </a>

                                <a href="<?php echo e(route('musics')); ?>" class="nav-link">
                                    <i data-feather="music"></i>
                                    <span> <?php echo e(__('Music')); ?> </span>
                                </a>

                                <a href="<?php echo e(route('playlists_music.index')); ?>" class="nav-link">
                                    <i data-feather="box"></i>
                                    <span> <?php echo e(__('Playlists Music')); ?> </span>
                                </a>
                                <a href="<?php echo e(route('artists.index')); ?>" class="nav-link">
                                    <i data-feather="box"></i>
                                    <span> <?php echo e(__('Artists')); ?> </span>
                                </a>
                                <a href="<?php echo e(route('categories')); ?>" class="nav-link">
                                    <i data-feather="box"></i>
                                    <span> <?php echo e(__('Albums')); ?> </span>
                                </a>
                            </div>
                        </li>





<li class="sideBarli guidedSessionSideA">
    <a href="<?php echo e(route('admin.guided_sessions.index')); ?>" class="nav-link">
        <i data-feather="grid"></i>
        <span>Guided Sessions</span>
    </a>
</li>
<li class="sideBarli vibeOptionsSideA">
    <a href="<?php echo e(route('admin.vibe_options.index')); ?>" class="nav-link">
        <i data-feather="smile"></i>
        <span>Vibe Options</span>
    </a>
</li>

<li class="sideBarli activityBlueprintSideA">
    <a href="<?php echo e(route('admin.activity_blueprints.index')); ?>" class="nav-link">
        <i data-feather="grid"></i>
        <span>Activity Blueprints</span>
    </a>
</li>


                        <li class="sideBarli GenresSideA">
                            <a href="<?php echo e(route('genres.index')); ?>" class="nav-link">
                                <i data-feather="book-open"></i>
                                <span> <?php echo e(__('Genres')); ?> </span>
                            </a>
                        </li>

                        <li class="sideBarli articleSideA">
                            <a href="<?php echo e(route('articles')); ?>" class="nav-link">
                                <i data-feather="book-open"></i>
                                <span> <?php echo e(__('Articles')); ?> </span>
                            </a>
                        </li>


                        <li class="sideBarli quoteSideA">
                            <a href="<?php echo e(route('quotes')); ?>" class="nav-link">
                                <i data-feather="feather"></i>
                                <span> <?php echo e(__('Quotes')); ?> </span>
                            </a>
                        </li>
                        <li class="sideBarli notificationSideA">
                            <a href="<?php echo e(route('notifications')); ?>" class="nav-link">
                                <i data-feather="bell"></i>
                                <span> <?php echo e(__('Notifications')); ?> </span>
                            </a>
                        </li>
                        <li class="sideBarli settingSideA">
                            <a href="<?php echo e(route('setting')); ?>" class="nav-link">
                                <i data-feather="settings"></i>
                                <span> <?php echo e(__('Settings')); ?> </span>
                            </a>
                        </li>
                        <hr>
                        <li class="sideBarli privacySideA">
                            <a href="<?php echo e(route('viewPrivacy')); ?>" class="nav-link">
                                <i data-feather="shield"></i>
                                <span><?php echo e(__('Privacy Policy')); ?></span>
                            </a>
                        </li>
                        <li class="sideBarli termsSideA">
                            <a href="<?php echo e(route('viewTerms')); ?>" class="nav-link">
                                <i data-feather="clipboard"></i>
                                <span><?php echo e(__('Terms of use')); ?></span>
                            </a>
                        </li>

                    </ul>
                </aside>
            </div>
            <!-- Main Content -->
            <div class="main-content">
                <?php echo $__env->yieldContent('content'); ?>
                <form action="">
                    <input type="hidden" id="user_type" value="<?php echo e(session('user_type')); ?>">
                </form>
            </div>
        </div>
    </div>


    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="<?php echo e(asset('asset/js/app.min.js ')); ?>"></script>
    <script src="<?php echo e(asset('asset/cdnjs/iziToast.min.js')); ?>"></script>
    <script src="<?php echo e(asset('asset/cdnjs/quill.js')); ?>"></script>
    <script src="<?php echo e(asset('asset/cdnjs/sweetalert.min.js')); ?>"></script>
    <script src="<?php echo e(asset('asset/script/env.js')); ?>"></script>
    <script src="<?php echo e(asset('asset/bundles/datatables/datatables.min.js ')); ?>"></script>
    <script src="<?php echo e(asset('asset/bundles/jquery-ui/jquery-ui.min.js ')); ?>"></script>
    <script src="<?php echo e(asset('asset/js/scripts.js')); ?>"></script>
    <script src="<?php echo e(asset('asset/js/bootstrap.min.js')); ?>"></script>
    <script src="<?php echo e(asset('asset/cdnjs/select2.js')); ?>"></script>
    <script src="<?php echo e(asset('asset/script/app.js')); ?>"></script>

    <script>
        var toolbarOptions = [
            [{
                'header': [1, 2, 3, 4, 5, 6, false]
            }],
            ['bold', 'italic', 'underline', 'link', 'strike'],
            [{
                'list': 'ordered'
            }, {
                'list': 'bullet'
            }],
        ];

        var quill = new Quill('#editor', {
            modules: {
                toolbar: toolbarOptions
            },
            theme: 'snow'
        });

        var quill2 = new Quill('#editEditor', {
            modules: {
                toolbar: toolbarOptions
            },
            theme: 'snow'
        });
    </script>
    <script>
        document.querySelectorAll('.btn-close-modal').forEach(button => {
            button.addEventListener('click', () => {
                const modal = button.closest('.modal');
                if (modal) {
                    modal.classList.remove('show');
                    modal.style.display = 'none';
                    const backdrop = document.querySelector('.modal-backdrop');
                    if (backdrop) backdrop.remove();
                }
            });
        });
    </script>


    <?php echo $__env->yieldContent('header'); ?>
</body>

</html>
<?php /**PATH /home/rosieapi/public_html/api2.rosieapi.com/resources/views/include/app.blade.php ENDPATH**/ ?>