<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\GuidedSessionTemplate;

class GuidedSessionTemplateController extends Controller
{
    public function index()
    {
        $templates = GuidedSessionTemplate::where('active', true)->get();

        $data = $templates->map(function ($template) {
            return [
                'id' => $template->id,
                'title' => $template->title,
                'description' => $template->description,
                'time_of_day' => $template->time_of_day,
                'goal_tags' => $template->goal_tags,
                'mood_tags' => $template->mood_tags,
                'sound_tags' => $template->sound_tags,
                'cannabis_tags' => $template->cannabis_tags,
                'use_case_tags' => $template->use_case_tags,
                'icon' => $template->icon,
            ];
        });

        return response()->json([
            'status' => true,
            'data' => $data
        ]);
    }
}
