<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\UserSessionLog;

class UserSessionFeedbackController extends Controller
{
    public function submit(Request $request)
    {
        $request->validate([
            'session_log_id' => 'required|exists:user_session_logs,id',
            'mood_after' => 'nullable|string',
            'rating' => 'nullable|integer|min:1|max:5',
            'notes' => 'nullable|string',
        ]);

        $log = UserSessionLog::find($request->session_log_id);

        $log->update([
            'mood_after' => $request->mood_after,
            'rating' => $request->rating,
            'notes' => $request->notes,
            'completed_at' => now()
        ]);

        return response()->json([
            'status' => true,
            'message' => 'Feedback saved'
        ]);
    }
}
