<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class EqComment extends Model
{
    use HasFactory;

    protected $fillable = ['user_id', 'strain_id', 'comment', 'likes'];


    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }

  /*  public function strain()
    {
        return $this->belongsTo(Strain::class, 'strain_id');
    }
*/
    public function strain()
    {
        return $this->belongsTo(EqStrain::class, 'strain_id');
    }
    public function likes()
    {
        return $this->hasMany(EqCommentLike::class, 'comment_id');
    }
    public function likedByUsers(): BelongsToMany
    {
        return $this->belongsToMany(User::class, 'eq_comment_likes', 'comment_id', 'user_id')->withTimestamps();
    }
}
