<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class SessionActivity extends Model
{
    protected $fillable = ['guided_session_id', 'title', 'description', 'duration', 'eq_profile', 'tag_filters'];

    protected $casts = [
        'eq_profile' => 'array',
        'tag_filters' => 'array'
    ];

    public function session()
    {
        return $this->belongsTo(GuidedSession::class);
    }

    public function musicTracks()
    {
        return $this->belongsToMany(Music::class, 'activity_music', 'session_activity_id', 'music_id');
    }

    public function podcasts()
    {
        return $this->belongsToMany(Podcast::class, 'activity_podcast', 'session_activity_id', 'podcast_id');
    }
}
